2009-03-17  Vincent Untz  <vuntz@gnome.org>

	* NEWS: version 2.6.4

2009-02-23  Andre Klapper  <a9016009@gmx.de>

	* glade/makekeys.awk:
	* test/domp.c:
	* test/saxp.c:
	Remove deprecated GLib functions. Fixes bug #572846.

2009-02-23  Christian Persch  <chpe@gnome.org>

	* glade/glade-init.c: (glade_init): No need to make this data static.

2008-10-06  Felix Riemann  <friemann@svn.gnome.org>

	* glade/glade-xml.c: (glade_xml_class_init), (glade_xml_init),
	(glade_xml_finalize):
	Use G_DEFINE_TYPE instead of registering the type by hand.
	Also allocate the private data together with the "public" data.
	Fixes bug #555147.

2008-10-06  Felix Riemann  <friemann@svn.gnome.org>

	* glade/glade-build.h:
	* glade/glade-xml.c:
	* glade/glade-xml.h:
	Fix GTK+ single includes. Fixes bug #555149.

libglade-2.6.3:

2008-08-18  Murray Cumming  <murrayc@murrayc.com>

	* doc/libglade-sections.txt:
	* doc/tmpl/glade-xml.sgml: Mention glade_xml_construct_from_buffer() in 
	these files, to make it actually appear in the documention.
	* glade/glade-xml.c: Do not call gtkmm gtk--.

2008-06-11  Murray Cumming  <murrayc@murrayc.com>

	* doc/libglade-docs.xml: Mention the gmodule-export-2.0 pkg-config 
	check for autoconnecting signals. 
	* glade/glade-xml.c: (glade_xml_signal_autoconnect): Menton it in the 
	reference documentation too.
	Fixes bug #446175.

2008-06-11  Diego Gonzalez  <diego@pemas.net>

	* doc/libglade-docs.xml: Use a more descripve title for the book and
	improve the abstract by describing the purpose of this library.

2008-06-11  Murray Cumming  <murrayc@murrayc.com>

	* configure.in: Increase the required glib version from 2.5 to 2.10, 
	because we use g_object_ref_sink() since 2006-07-11.
	Fixes bug #349611 (Yang Hong).

2008-02-19  Matthias Clasen  <mclasen@redhat.com>

	* glade/glade-xml.c (glade_xml_new_from_buffer): Don't call 
	g_free on a GObject.  Pointed out by Peter Clifton.

2007-11-26  Armin Burgmeier  <armin@openismus.com>

	* glade/glade.def: Add glade_xml_construct_from_buffer to the list of
	exported symbols, otherwise it is not available on Windows.

libglade-2.6.2:

2007-07-31  Christian Persch  <chpe@gnome.org>

	* NEWS:
	* configure.in: Updated for 2.6.2.

2007-07-11  Christian Persch  <chpe@gnome.org>

	* glade/Makefile.am: Remove GTK_DISABLE_DEPRECATED. Fixes the build
	with gtk+ trunk; bug #455566.

2007-07-07  Christian Persch  <chpe@gnome.org>

	* autogen.sh: Use gnome-autogen. Bug #423573.
        * Makefile.am:
	* configure.in: Use automake 1.9.

libglade-2.6.1:

2007-04-16  Murray Cumming  <murrayc@murrayc.com>

	* glade/glade-xml.h:
	* glade/glade-xml.c: (glade_xml_construct_from_buffer),
	(glade_xml_new_from_buffer):
	Added and used glade_xml_construct_from_buffer(), for use by 
	language bindings.
	Patch from Doug in bug #326511.

libglade-2.6.0:

2006-12-14  Kjartan Maraas  <kmaraas@gnome.org>

	* autogen.sh: Add support for automake 1.10.

2006-11-14  Kjartan Maraas  <kmaraas@gnome.org>

	* autogen.sh: Allow to build with autoconf 2.6x too.

2006-10-19  Kjartan Maraas  <kmaraas@gnome.org>

	* NEWS: Update
	* configure.in: Bump to 2.6.0
	* doc/tmpl/glade-build.sgml:
	* doc/tmpl/glade-init.sgml:
	* doc/tmpl/glade-parser.sgml:
	* doc/tmpl/glade-xml.sgml:
	I forgot to commit this when making the 2.6.0 release a while ago.
	Sorry all :-)

2006-07-11  Kjartan Maraas  <kmaraas@gnome.org>

	* glade/glade-xml.c: (glade_xml_init),
	(glade_xml_set_value_from_string): Fix warnings from GCC:
	glade-xml.c: In function 'glade_xml_set_value_from_string':
	glade-xml.c:1519: warning: implicit declaration of function 'gtk_object_sink'
	by using non-deprecated API instead. Closes bug #341857.

2006-03-23  Matthias Clasen  <mclasen@redhat.com>

	* glade/glade-gtk.c (entry_set_invisible_char): Correctly handle
	non-ASCII characters.  (#321119, Tim Evans)

2006-01-04  Tor Lillqvist  <tml@novell.com>

	* glade/glade-init.c (DllMain, replace_prefix, get_libdir): Add
	the normal mechanism for run-time lookup of installation prefix
	and libdir on Win32.

	* glade/Makefile.am: Pass also $prefix as GLADE_PREFIX to the
	compilation for the benefit of the above.

2005-12-20  Tor Lillqvist  <tml@novell.com>

	* glade/glade-parser.c (glade_parser_parse_file): On Win32,
	convert the file name from the GLib file name encoding (UTF-8) to
	the system codepage encoding that libxml uses. (Alternatively, we
	could use GMappedFile and parse the xml from memory, but this
	brings up the (unlikely) possibility that two threads are reading
	the same glade file at the same time, and we would thus have to
	use locking, drats.)

2005-08-28  Tor Lillqvist  <tml@novell.com>

	* libglade-zip.in: Include also documentation in the developer
	zipfile.

2005-02-28  Tor Lillqvist  <tml@novell.com>

	* libglade-zip.in: New file, for building zipfile-based Win32
	distribution.

	* Makefile.am
	* configure.in: Distribute it, expand it.

2005-02-11  James Henstridge  <james@jamesh.id.au>

	* glade/Makefile.am (LTVERSION): bump libtool version number.

	* configure.in: bump version number.

	* NEWS: add 2.5.1 news items.

	* glade/glade-gtk.c (toolbar_build_children): revert the handling
	of old toolbars to the pre-2.4.1 behaviour, with the exception of
	the "active" handling for radio buttons.
	(_glade_init_gtk_widgets): use the GtkDialog buil_children
	implementation for GtkFileChooserDialog.  Fixes bug #160264.

2004-11-29  James Henstridge  <james@jamesh.id.au>

	* configure.in: require ATK 1.9.0

	* glade/glade-xml.c: remove the add_relation() helper function,
	and use atk_relation_set_add_relation_by_type() instead.

	* NEWS: add news items.

	* glade/glade-xml.c (add_relation): apply Padraig O'brian's patch
	to fix up AtkRelation creation.  Fixes bug #158708.

2004-05-19  Daniel Elstner  <daniel.elstner@gmx.net>

	* glade/glade-gtk.c (combo_box_entry_find_internal_child): New
	function that exposes GtkComboBoxEntry's child GtkEntry widget as
	internal-child "entry".
	(_glade_init_gtk_widgets): Add glade_standard_build_children and
	combo_box_entry_find_internal_child to the glade_register_widget()
	call for GTK_TYPE_COMBO_BOX_ENTRY.

2004-11-11  James Henstridge  <james@jamesh.id.au>

	* glade/glade-parser.c (glade_parser_start_element): Apply Damon's
	changes to ignore the comments attribute on various elements.
	This is also from bug #154806.

	* glade/glade-parser.c (handle_atk_action): translate the action
	description.  Fixes bug #154804.

	* glade-2.0.dtd (property): add comments attribute.
	(atkproperty): add translatable, context and
	comments attributes.
	(atkaction): add note that description is translated.  Patch from
	Damon Chaplin on bug #154806.

2004-11-09  James Henstridge  <james@jamesh.id.au>

	* glade/glade-gtk.c (toolbar_build_children): fix a few errors in
	the conversion of old style toolbar items.

	* Makefile.am (install-data-local, uninstall-local): fix up rules
	so that they aren't run if the XML catalog isn't found.  They
	still ignore errors though.

	* acconfig.h, acinclude.m4: remove, since they aren't needed
	anymore.

	* configure.in: update to use AM_PATH_PYTHON, and use
	JH_PATH_XML_CATALOG to check for location on XML catalog (this
	adds a --with-xml-catalog argument, which solves a few bugs).

	* m4/jh_xml_catalog.m4: new file containing macro to check for XML
	catalog.

	* autogen.sh (have_autoconf): require Automake 1.9 or 1.8, include
	m4/ subdirectory.

	* glade/glade-xml.c (glade_xml_set_value_from_string): handle
	GtkWidget type values, but don't throw an error if the named
	widget doesn't exist yet.
	(glade_standard_build_widget): only defer the widget prop if
	glade_xml_set_value_from_string() didn't succeed.  Should fix bug
	#123618 and #152063.

	* glade/glade-parser.c: change some occurrences of "0" to "NULL".
	Based on patch from Kjartan (bug #150039).

	* test-libglade.c (main): remove deprecated gtk_signal_connect()
	call.

	* glade/glade-xml.c (glade_xml_set_value_from_string): handle
	G_TYPE_STRV boxed types, using newline separators.

2004-11-08  James Henstridge  <james@jamesh.id.au>

	* glade/glade-gtk.c (_glade_init_gtk_widgets): add
	GtkFileChooserDialog.  Fixes bug #137592.

	* libglade-convert.in (WidgetDef.ChildDef.dump): encode property
	value in UTF-8.
	(WidgetDef.dump): same here.

	* glade/glade-parser.c (widget_info_free): free the atk actions
	and relations.  Should fix bug #125042.

	* libglade-convert.in (fixup_as_type): add code to convert x/y
	properties of GtkFixed children to child properties.  Fixes bug
	#155708 and #82986.

	* glade/glade-gtk.c (toolbar_build_children): update to use newer
	toolbar APIs even for older glade files.
	(set_tooltip): use gtk_tool_item_set_tooltip() to set the tooltip
	on GtkToolItems instead of gtk_tooltips_set_tip().
	(toolbar_build_children): call gtk_tool_item_set_tooltip() to set
	the tip on tool items in the compatibility code.

Sat Oct 23 23:56:14 2004  Jonathan Blandford  <jrb@redhat.com>

	* glade/glade-gtk.c (_glade_init_gtk_widgets): add
	GtkFileChooserButton, GtkIconView, GtkAboutDialog, and
	GtkMenuToolButton

	* configure.in: Add dependency on GTK+-2.5

2004-09-23  Matthias Clasen  <mclasen@redhat.com>

	* glade/glade-gtk.c (menu_item_set_use_stock): Make accelerators
	work in stock menu items.  (#140328)

2004-07-09  Daniel Elstner  <daniel.elstner@gmx.net>

	* glade/glade-gtk.c (toolbar_build_children): Use the new
	gtk_toolbar_insert() instead of gtk_toolbar_append_widget()
	to append GtkToolItem objects. (bug #142761)

2004-05-17  James Henstridge  <james@daa.com.au>

	* NEWS: add small news message.

	* autogen.sh: make autogen script a little more robust, and call
	auto-tools in the right order.

	* glade/Makefile.am: update libtool version.

	* configure.in: increment version number to 2.4.0.  Also perform a
	few small cleanups.

2004-03-17  Glynn Foster  <glynn.foster@sun.com>

	* Makefile.am, configure.in, libglade-2.0-uninstalled.pc.in:
	Add uninstalled pkg-config file to allow library to be linked
	without installation. Fixes #136094.

2004-03-10  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.3.6.

2004-03-08  Damon Chaplin  <damon@gnome.org>

	* glade/glade-gtk.c (toggle_tool_button_set_active)
	(tool_button_set_icon, combo_box_set_items): implement custom
	properties.

	(_glade_init_gtk_widgets): register above custom properties, and
	register GtkComboBoxEntry, GtkToolItem, GtkToolButton,
	GtkToggleToolButton, GtkRadioToolButton & GtkSeparatorToolItem.
	Bugs #127805 and #134835.

2004-02-07  Steve Chaplin <stevech1097@yahoo.com.au>

	* tests/Makefile.am (AM_LDFLAGS): Fix a warning with automake.
	(#119071, Steve Chaplin)

Fri Jan 23 01:56:03 2004  Matthias Clasen  <maclas@gmx.de>

	* glade/glade-xml.c (glade_flags_from_string): Handle spaces 
	and UTF-8.  (#128013, Pedro Abelleira Seco and Damon Chaplin)

Fri Jan 23 01:46:59 2004  Matthias Clasen  <maclas@gmx.de>

	Fix #126181, reported by Steve Chaplin:	
	
	* configure.in: Generate doc/version.xml.

	* doc/Makefile.am (content_files): Include version.xml

	* doc/Makefile.am (EXTRA_DIST): Distribute version.xml.in

	* doc/libglade-docs.xml: Include version.xml

	* doc/version.xml.in: New file in which the version number will
	be inserted by the configure script.

Fri Jan 23 01:18:33 2004  Matthias Clasen  <maclas@gmx.de>

	* glade/glade-build.h: 
	* glade/glade-xml.c (glade_register_widget): Don't use the
	C++ keyword 'new' as argument name.  (#96050, Bas Driessen)

Fri Jan 23 01:07:10 2004  Matthias Clasen  <maclas@gmx.de>

	* glade-2.0.dtd: Allow <property> in <signal> for the benefit
	of glademm.  (#88968, Christof Petig)

Fri Jan 23 01:01:44 2004  Matthias Clasen  <maclas@gmx.de>

	* glade/glade-gtk.c (toolbar_build_children): Support tooltips
	in toolbars.  (#101459, Michael Voigt)

Tue Jan 13 21:41:12 2004  Matthias Clasen  <maclas@gmx.de>

	* configure.in: Version 2.3.2

	* glade/Makefile.am: LTVERSION 0:2:0.

Mon Jan 12 21:52:07 2004  Matthias Clasen  <maclas@gmx.de>

	Support disambiguating msgids by adding a context prefix.
	To learn more about this technique, read the chapter "How to 
	use gettext in GUI programs" in the gettext manual, and see 
	the GLib API documentation for g_strip_context(). 
	
	* glade-2.0.dtd: Add a context attribute to the property 
	element.
	
	* doc/libglade-docs.xml: Document the context attribute.
	
	* glade/glade-parser.c: Call g_strip_context() on  
	translated properties whose context attribute says "yes".

2003-11-14  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.3.1.

Sat Nov  1 20:43:05 2003  Jonathan Blandford  <jrb@gnome.org>

	* glade/glade-gtk.c (_glade_init_gtk_widgets): add GtkColorButton,
	GtkComboBox, GtkFileChooser and GtkFontButton.  GtkComboBox will
	need better support in the future.

2003-10-24  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: bump version to 2.3.0 (in sync with
	gtk+), require gtk+ 2.3.0 and kill the crufty
	development branch warning.
	
	* glade/glade-gtk.c: (expander_build_children),
	(_glade_init_gtk_widgets): implement support
	for GtkExpander.

2003-07-23  Morten Welinder  <terra@gnome.org>

	* glade/glade-xml.c (glade_standard_build_widget): Plug leak.

	* glade/glade-gtk.c (pixmap_set_filename): Use the right colormap.

2003-06-13  Michael Meeks  <michael@ximian.com>

	* doc/Makefile.am: define content_files and HTML_IMAGES
	to please gtk-doc.make.

2003-04-29  Masahiro Sakai  <sakai@tom.sfc.keio.ac.jp>

	* glade/Makefile.am (libglade_2_0_la_LDFLAGS) use -no-undefined
	unconditionaly.

2003-01-06  Tor Lillqvist  <tml@iki.fi>

	Use same style auto* build for Win32 as GLib etc:

	* configure.in: Call AC_LIBTOOL_WIN32_DLL. Check for Win32, set
	automake conditionals OS_WIN32 and PLATFORM_WIN32.

	* glade/Makefile.am: Pass -no-undefined to libtool. Use the
	glade.def file instead of -export-symbols. Install import
	libraries.

	* config.h.win32
	* makefile.mingw
	* glade/makefile.mingw: Remove, obsolete and unmaintained. If
	somebody actually was using these, please scream...

	* Makefile.am
	* glade/Makefile.am (EXTRA_DIST): Remove the above from here, too.

	* tests/test-libglade-gtk.c (test_create): Mark function to be
	called from libglade with G_MODULE_EXPORT.
	
	* tests/Makefile.am: [Win32] Must create separate .exp file to get
	the entry points properly exported, gcc doesn't believe just the
	G_MODULE_EXPORT. (MSVC does, this is a gcc bug or misfeature?)

2002-12-14  James Henstridge  <james@daa.com.au>

	* doc/Makefile.am: update for XML documentation.

	* autogen.sh (have_autoconf): update so that it will build with
	automake-1.7 if available.

2002-08-29  James Henstridge  <james@daa.com.au>

	* NEWS: add news items.

	* configure.in: update version number.

2002-08-19  James Henstridge  <james@daa.com.au>

	* glade/glade.def: update to the list of exported symbols for
	libglade-2.0.

	* glade/Makefile.am (libglade_2_0_la_LDFLAGS): don't export
	underscore prefixed symbols.

	* glade/glade-init.c (get_module_path): make default dir
	$(libdir)/libglade/2.0.  We don't want to be searching $(libdir),
	as there are other libgnome.so's there (eg. gnome-libs-1.x).
	(find_module): get rid of the subdir stuff.  It isn't necessary
	for libglade.
	(glade_require): don't pass an argument to find_module().

2002-08-18  Havoc Pennington  <hp@pobox.com>

	* autogen.sh: hardcode aclocal-1.4/automake-1.4 so that users with
	both automake 1.6 and 1.4 installed get the right automake. Means
	compilation from CVS will now require the latest automake 1.4
	release, or manually creating symlinks called "automake-1.4" and
	"aclocal-1.4"

Fri Jul 19 03:11:57 2002  Kristian Rietveld  <kris@gtk.org>

	* glade/glade-gtk.c (toolbar_build_children): free icon when we don't
	need it anymore.

	* glade/glade-xml.c (glade_register_widget): free old qdata before
	setting the new qdata if applicable.

2002-06-06  James Henstridge  <james@daa.com.au>

	* configure.in: increment version number.

	* libglade.spec.in (Requires): set versions right.

	* NEWS: add news items.

2002-06-01  James Henstridge  <james@daa.com.au>

	* doc/tmpl/glade-init.sgml: copy info from tmpl/glade.sgml.

	* doc/Makefile.am (tmpl_sources): s/glade.sgml/glade-init.sgml/

	* doc/libglade-docs.sgml: fix up docs a bit to make them closer to
	XML compatible.

2002-05-12  Jacob Berkman  <jacob@ximian.com>

	* autogen.sh: enable gtk-doc from CVS, like gtk does

2002-05-12  James Henstridge  <james@daa.com.au>

	* glade/glade-parser.c (glade_parser_parse_file): put in a check
	to see if the file exists, and give a better error if so.

2002-05-12  Jacob Berkman  <jacob@ximian.com>

	* doc/Makefile.am (EXTRA_DIST): remove libglade-decl.txt.
	hopefully this will fix the build and not break anything else

2002-05-12  James Henstridge  <james@daa.com.au>

	* glade/glade-xml.c (add_relation): get reference counting right
	for the case where we are adding a target to an existing relation.

	* doc/Makefile.am: use CFLAGS and LDFLAGS when building docs, to
	fix 64-bit build issues brought up in bug #81347 by Shivram U.

	* Makefile.am (DISTCHECK_CONFIGURE_FLAGS): make sure documentation
	gets built during distcheck.

	* configure.in (HAVE_GTK_PLUG): add check for GtkPlug impl, for
	those gtk targets that don't implement it yet.
	(ENABLE_GTK_DOC): add configure magic to not build gtk-doc stuff
	by default.

	* glade/glade-gtk.c (_glade_init_gtk_widgets): only register
	handler for GtkPlug/GtkSocket if HAVE_GTK_PLUG is defined.

2002-05-06  James Henstridge  <james@daa.com.au>

	* configure.in: push version number back up to 12.  This is
	to help Jacob's snapshots.

2002-04-28  Murray Cumming  <murrayc@usa.net>

	* glade/glade-xml.c (get_build_data):
	Look at the parent type in get_build_data()  rather than in
	glade_xml_build_widget().

2002-04-28  James Henstridge  <james@daa.com.au>

	* configure.in: decrement version number.

2002-04-26  Murray Cumming  <murrayc@usa.net>

	* glade/glade-xml.c: gtkmm's derived gtypes don't use 
	glade_register_widget(), so check the base type for a
	find_internal_child() function. 

2002-04-25  Murray Cumming  <murrayc@usa.net>

	* glade/glade-xml.[h|c]: Added lookup_type() virtual
	function to GladeXMLClass, so that libglademm language bindings
	can instantiate their own derived gtypes.

2002-04-22  Murray Cumming  <murrayc@usa.net>
	
	* glade/glade-parser.[h|c}: Renamed GladeWidgetInfo::class field
	to classname, because "class" is a C++ keyword. It's not really a 
	public header, but this has had gnome-2-release-team approval
	anyway.
	* Incremented version number so that it's obvious that libbonoboui
	and libgnomeui need to get this newer libglade version.

2002-04-23  James Henstridge  <james@daa.com.au>

	* configure.in: increment version number.

2002-04-22  James Henstridge  <james@daa.com.au>

	* glade/glade-xml.c (glade_xml_add_atk_relations): small
	optimisation for the case where there are no relations specified
	for the widget in the glade file.
	(glade_xml_add_atk_actions): small changes to match style of other
	functions in the file.
	(glade_xml_add_accessibility_info): use G_OBJECT_GET_CLASS() to
	get the type of the atk object rather than g_type_class_ref(),
	which fixes a reference leak.

2002-04-19  Mark McLoughlin  <mark@skynet.ie>

	* glade/glade-gtk.c: (entry_set_invisible_char),
	(_glade_init_gtk_widgets): impl support for the
	'invisible_char' property.

Tue Apr  9 22:20:01 2002  Jonathan Blandford  <jrb@gnome.org>

	* glade/glade-gtk.c (frame_build_children): Add a "label_item"
	child type to Frames so they can put child widgets in their
	header.

2002-03-30  James Henstridge  <james@daa.com.au>

	* configure.in (AC_INIT): increment version number.

	* glade/glade-gtk.c (_glade_init_gtk_widgets): register
	GtkSeparatorMenuItem so that it can be used in glade files. (fixes
	bug 76682).
	(option_menu_build_children): don't require that the option menu's
	GtkMenu be an "internal child" (fixes bug 75590).

2002-03-23  James Henstridge  <james@daa.com.au>

	* glade/glade-xml.c (add_relation): unref the AtkRelation after
	adding it to the AtkRelationSet (from bug 75782)

	* glade/glade-gtk.c (button_set_response_id): new function to
	handle response_id as a custom property.
	(_glade_init_gtk_widgets): use standard_build_widget to build
	buttons, and register custom prop.
	(gtk_dialog_build_children): small cleanups.

2002-03-21  jacob berkman  <jacob@ximian.com>

	* glade/glade-gtk.c (list_item_set_label): new custom property
	function (for GtkCombo) (bug #75471)

2002-03-11  James Henstridge  <james@daa.com.au>

	* acinclude.m4: add some extra messages to the config.log file.

	* configure.in: update version number.

	* NEWS: news updates.

	* glade/glade-xml.c (glade_xml_handle_internal_child): get rid of
	a warning.

	* configure.in (have_python): use the macro I split out.

	* acinclude.m4: move the python check into a macro in acinclude,
	as it was a bit complicated.  Also, inline implementation of
	AC_SHELL_PATH_WALK, as it isn't part of autoconf-2.53.

	* acconfig.h: remove last two lines, as the glib macro was updated
	with third argument to AC_DEFINE.

2002-03-10  James Henstridge  <james@daa.com.au>

	* examples/simple.glade: add a wmclass_name property to the
	window, as a test.

	* glade/glade-gtk.c (window_set_wmclass_name): function to set
	wmclass_name property.
	(window_set_wmclass_class): setter for wmclass_class.
	(_glade_init_gtk_widgets): register setters.

	* glade/glade-parser.c (alloc_propname): new function for
	allocating a normalised property name string.
	(glade_parser_start_element): use alloc_propname() for storing
	normalised property names.

	* glade/glade-gtk.c (layout_build_children): new function to pack
	children of GtkLayout.
	(_glade_init_gtk_widgets): register build_children routine.

2002-02-26  James Henstridge  <james@daa.com.au>

	* NEWS: retrospectively update the NEWS file for the devel branch.

	* glade/glade-xml.c (glade_xml_set_value_from_string): change
	error message to say "could not convert string" rather than
	"unsupported type", to clear up some confusion.

	* configure.in: update version number, and make --enable-debug the
	default.  Also increment version numbers of required libs.

2002-02-25  James Henstridge  <james@daa.com.au>

	* glade/glade-xml.c (glade_xml_handle_internal_child): add code to
	hanlde widget properties on internal children (this was missing
	before).

	* libglade-convert.in (ChildDef.dump): add agent="cxx" for
	properties beginning with cxx.
	(WidgetDef.dump): same here.

	* glade/glade-parser.c (glade_parser_start_element): ignore
	<property> elements with the agent attribute set to something
	other than "libglade".
	(glade_parser_start_element): same for child packing properties.

	* glade/glade-gtk.c (fontseldlg_find_internal_child): add
	"font_selection" internal child.
	(colorseldlg_find_internal_child): add "color_selection" internal
	child.

2002-02-21  James Henstridge  <james@daa.com.au>

	* tests/Makefile.am: update tests.

	* tests/test-libglade-gtk.c (main): update so that it takes a
	filename as an argument (so it can be used for multiple tests),
	and make it exit with return value 77 when it can't connect to the
	X server.

	* tests/test-convert (RETVAL): new file to run the tests for
	conversion script.

	* tests/test-libglade-gtk.glade: make the toplevel widgets non
	visible.

	* examples/example.glade: same.

	* examples/bonobo.glade: same.

	* examples/first.glade: same.

	* examples/simple.glade: fix up doctype.

	* glade-2.0.dtd: fix up syntax error in DTD.
	(property): add agent attribute for <property>, as agreed with
	damon.

	* libglade-convert.in (handle_file): use a full URL for the
	doctype.

	* libglade.spec.in (CATALOG): install and remove the catalog in
	scripts.

	* Makefile.am: prepend xmlcatalog rules with a dash, so that they
	don't break the build if we can't write to /etc/xml/catalog.

2002-02-21  James Henstridge  <james@daa.com.au>

	* Makefile.am (xml_DATA): install the DTD in $(datadir)/xml/libglade.
	(install-data-local,uninstall-local): add or remove the dtd from
	the catalog.

	* test-libglade.c (main): remove regression test stuff.

	* tests/test-value-parse.c (main): move the regression testing
	stuff from test-libglade.c to here.

2002-02-17  James Henstridge  <james@daa.com.au>

	* libglade-convert.in (usage): update usage message to fix bug
	#66371

	* glade/glade-gtk.c (set_has_default): function to handle
	"has_default" property.
	(set_has_focus): same for "has_focus".
	(_glade_init_gtk_widgets): register these custom prop handlers.

	* libglade-convert.in (parent_table): GtkRadioButton is a
	GtkButton.  This should make sure it gets the use_underline
	property set correctly.

2002-02-10  Chema Celorio  <chema@celorio.com>

	* libglade-convert.in (renamed_props): Add
	focus_target->mnemonic_widget for GtkLabel

Sat Feb  9 09:06:56 2002  Jonathan Blandford  <jrb@redhat.com>

	* libglade-convert.in (new_label): turn on 'use-underline' if
	there's an '_' in the label.

2002-02-07  jacob berkman  <jacob@ximian.com>

	* glade/glade-xml.c (glade_xml_relative_file): use
	g_path_get_dirname()

	* glade/glade-gtk.c: re-enable deprecated and broken widgets,
	since we need to provide them for porting purposes
	(pixmap_set_filename): use g_object_unref() rather than various
	deprecated calls

	* glade/Makefile.am (INCLUDES): add -DFOO_DISABLE_DEPRECATED

2002-02-07  James Henstridge  <james@daa.com.au>

	* configure.in: increment version number.

2002-02-06  James Henstridge  <james@daa.com.au>

	* doc/libglade-docs.sgml: some documentation updates (not quite
	finished, but the tutorial/notes section at the start should be
	more useful now).

2002-02-05  James Henstridge  <james@daa.com.au>

	* glade/glade-xml.c (glade_xml_init): radio_groups doesn't exist
	anymore.
	(glade_xml_finalize): same here.

	* glade/glade-private.h: get rid of radio_groups hash table, as we
	don't maintain a separate namespace for radio groups anymore.

	* glade/glade-xml.c (glade_xml_init): s/accel_groups/accel_group/
	(glade_xml_set_toplevel): just unref priv->accel_group.
	(glade_xml_push_accel, glade_xml_pop_accel): remove.
	(glade_xml_ensure_accel): changes to get rid of accel group stack.
	(glade_xml_finalize): same here.

	* glade/glade-build.h (glade_xml_push_accel, glade_xml_pop_accel):
	remove these obsolete unused semi-public functions (not really
	part of the API).

	* glade/glade-private.h: only store a single accel group (the
	multi level accel group stuff is no longer needed due to the
	mnemonic code in gtk).

	* glade/glade-xml.c (glade_create_custom): make this function
	static.

	* examples/simple.glade: make the cancel button in the dialog a
	stock button, for testing purposes.

	* glade/glade-parser.c (glade_parser_start_element): add a debug
	message for start of element.
	(glade_parser_end_element): same for end of element

	* autogen.sh (have_automake): always pass --enable-debug in the
	autogen script, as this won't cause massive debugging spew by
	default anymore.

	* glade/glade-xml.c: convert uses of debug() macro with
	GLADE_NOTE(BUILD, ...).

	* configure.in (AH_BOTTOM): don't bother defining debug() macro
	here -- now handled by GLADE_NOTE environment variable.

	* glade/glade-private.h: add code to define GLADE_NOTE() macro for
	conditional debugging spew (like GTK_NOTE).

	* glade/glade-init.c (glade_init): add code to parse a
	LIBGLADE_DEBUG environment variable, similar to the GTK_DEBUG env
	var.

2002-01-31  James Henstridge  <james@daa.com.au>

	* configure.in (CFLAGS): change to set -std=c9x rather than -ansi.
	(AC_INIT): increment version number.
	(PKG_CHECK_MODULES): and of its dependencies.

	* glade/glade-gtk.c (menu_item_set_label): use set_text() instead
	(menu_item_set_use_stock): only set the stock icon if the value is
	true, and use gtk_label_set_text() to set the stock label text.

	* libglade-convert.in (stock_menu_translate): new function for
	translating stock menu item names to new names.
	(fixup_as_type): translate menu items correctly.
	(WidgetDef.dump): don't mark labels as translatable if use_stock
	is set.

2002-01-30  James Henstridge  <james@daa.com.au>

	* libglade-convert.in (fixup_as_type): make menu items use the
	label, use_underline and use_stock custom props, rather than
	putting a label widget inside.  This reduces glade file complexity
	a bit.

	* glade/glade-gtk.c (menu_item_set_label): create an accel label
	in the menu item, so that accels display correctly.
	(menu_item_set_use_underline): same here.
	(menu_item_set_use_stock): new routine for turning a menu item
	into a stock item.
	(build_image_menu_item): remove this one in favour of the
	"use_stock" property.

2002-01-30  Zbigniew Chyla  <cyba@gnome.pl>

	* glade/glade-parser.c (glade_parser_end_element): Try to translate
	only non-empty strings. For empty strings gettext returns .po file
	properties (huge multiline string).

2002-01-29  Damon Chaplin  <damon@ximian.com>

	* glade/glade-gtk.c (menu_item_set_label): 
	(menu_item_set_use_underline): new custom property handlers.
	(build_image_menu_item): new custom build function.
	(toolbar_build_children): updated to handle "use_stock" and
	"use_underline". I'm not entirely sure what you are supposed to do/not
	do in custom build functions, so this needs checking.
	(image_menu_find_internal_child): create a GtkImage child rather than
	a placeholder. The "image" child is a bit of a hack since it isn't
	really created by the GtkImageMenuItem.

	NOTE: the properties of the "image" child are not being set at present,
	so that needs fixing, and I'm not sure where that is supposed to
	happen.

2002-01-29  James Henstridge  <james@daa.com.au>

	* glade/glade-parser.c (glade_parser_parse_file): if the parser
	didn't finish in the correct state, the XML file was invalid, so
	return NULL.
	(glade_parser_parse_buffer): same here.

	* configure.in: add long prominant warning message if
	libglade-convert wasn't built.

	* glade-2.0.dtd: change the child element list for <child>
	elements to allow <placeholder> in place of <widget>.

	* glade/glade-xml.c (glade_xml_build_widget): get rid of the code
	checking for a class name of Placeholder.  libglade-convert will
	no longer pass them through.

	* libglade-convert.in (WidgetDef.ChildDef.dump): if the widget has
	class <Placeholder>, then write out a <placeholder/> element
	rather than a <widget> element.

	* examples/first.glade: add a placeholder to example file.

	* glade/glade-parser.c: add two new states to do with
	<placeholder/> elements.
	(glade_parser_start_element): handle <placeholder> elements in the
	PARSER_WIDGET_CHILD state.
	(glade_parser_start_element): ignore elements after the
	<placeholder> element (PARSER_WIDGET_CHILD_AFTER_PLACEHOLDER
	state).
	(glade_parser_end_element): add logic for handling the new
	placeholder related states.

	* glade/glade-xml.c (glade_xml_get_toplevel_names): remove
	function from API.  It isn't used anywhere according to LXR (I
	just removed the only bit of code that was using it)
	(connect_data_connect_func): remove use of deprecated signal
	connection functions.
	(glade_xml_signal_connect_data): change argument from
	GtkSignalFunc to GCallback (the two are defined identically).
	(glade_xml_signal_connect): use non deprecated signal functions.
	(autoconnect_foreach): use non deprecated signal functions.
	(glade_xml_init): ref the tooltips with g_object_ref.
	(glade_xml_set_toplevel): ref tooltips with g_object_ref, and use
	g_object_unref as a destroy notify.
	(glade_xml_finalize): release the tooltips with g_object_unref.

	* libglade-convert.in (hide_toplevel): remove function that sets
	all toplevels to invisible.
	(handle_file): don't hide toplevels.

	* test-libglade.c (main): get rid of the broken code that
	unconditionally shows the toplevels.  The glade file should
	already contain the required information.

	* glade/glade-gtk.c (set_visible): handle the "visible" property
	as a custom prop, setting object data if the widget is to be shown
	(it gets shown after all its children are processed in
	set_common_params).

	* glade/glade-xml.c (glade_xml_set_common_params): if the
	"Libglade::visible" object data has been set non NULL on a widget,
	call gtk_widget_show() on it.

2002-01-28  James Henstridge  <james@daa.com.au>

	* glade/glade-xml.c (glade_xml_set_common_params): delete the
	tooltip stuff, as it is handled as a custom property now.

2002-01-16  jacob berkman  <jacob@ximian.com>

	* libglade-convert.in (upgrade_widget): make GtkTextView wrap
	words by default
	(renamed_props): add some more properties for gnome-font-picker to
	convert

2002-01-14  Damon Chaplin  <damon@ximian.com>

	* glade/glade-parser.c (handle_signal): ignore last_modification_time.

	* glade-2.0.dtd: added last_modification_time attribute for signals,
	which Glade uses but libglade ignores.

2002-01-14  Damon Chaplin  <damon@ximian.com>

	* glade/glade-gtk.c (statusbar_set_has_resize_grip): 
	(ruler_set_metric): added 2 custom property handlers.

2001-12-24  James Henstridge  <james@daa.com.au>

	* configure.in: don't call GNOME_COMMON_INIT.  This gets rid of
	the dependency on the gnome-common package.

	* autogen.sh: use gtk+'s autogen script rather than the
	gnome-common based one.

2001-12-12  jacob berkman  <jacob@ximian.com>

	* glade/glade-gtk.c (option_menu_build_children): set the history
	property here, since it only works after setting the menu on the
	option menu

2001-12-12  James Henstridge  <james@daa.com.au>

	* configure.in: increment libtool version number.

	* libglade-2.0.pc.in (moduledir): uncomment this again, as
	commenting it out breaks some packages.

	* glade/glade-xml.c (glade_xml_get_toplevel): remove function.

	* glade/glade-build.h (glade_xml_get_toplevel): remove
	get_toplevel API.

	* libglade-convert.in (fixup_as_type): small fix for GtkLayout --
	it crashes if you set the width/height before the adjustments :(

	* tests/Makefile.am: only run the checks if we have python support.

	* Makefile.am (bin_SCRIPTS): surround by HAVE_PYTHON conditional.

	* configure.in (try): add a HAVE_PYTHON conditional.

2001-12-10  jacob berkman  <jacob@ximian.com>

	* libglade-convert.in (fixup_as_type): always add a menu to
	GtkOptionMenu, even if there are no items to add.

	* glade/glade-gtk.c: use some macros for getting the value from a
	string.  allow more values for boolean true

	* glade/glade-xml.c (glade_xml_set_value_from_string): allow true,
	yes, or nonzero int to represent 'TRUE'

2001-12-07  Kristian Rietveld  <kris@gtk.org>

	* libglade-convert.in (stock_icon_translate): fixed a small typo,
	s/lowere/lower/

2001-12-07  jacob berkman  <jacob@ximian.com>

	* libglade-convert.in (renamed_props): added some for Gnome*Entry

2001-12-06  jacob berkman  <jacob@ximian.com>

	* glade/glade-xml.c (glade_xml_set_common_params): fix tyop

	* libglade-convert.in: support GnomeFontPicker

	* glade/glade-xml.c (glade_xml_set_common_params): print a warning
	if a widget has children but is not a container
	(glade_xml_set_toplevel): don't set the tooltips if the window is
	NULL
	(glade_xml_get_toplevel): return the current toplevel window
	(glade_xml_build_interface): don't do the grab focus stuff here...
	(glade_xml_build_widget): ...move it to here.  if we just created
	a GtkWindow, set ourselves as the toplevel, build our child
	widgets, then unset the toplevel
	(glade_xml_set_packing_property): make public

	* glade/glade-gtk.c (build_window): removed, as
	glade_xml_build_widget() handles this for us
	(image_menu_find_internal_child): if there is already an image,
	return that rather than creating a blank one
	(_glade_init_gtk_widgets): s/build_window/NULL/

	* libglade-convert.in: intense libgnomeui support fixage

2001-11-28  Peter Williams  <peterw@ximian.com>

	* tests/Makefile.am (test-libglade-gtk-noupgrade.glade2): libglade-convert
	lives in top_builddir, not top_srcdir.
	(test-libglade-gtk.glade2): Same.

2001-11-28  jacob berkman  <jacob@ximian.com>

	* libglade-convert.in: add a --verbose flag which can print out
	what it's doing, making debugging easier

2001-11-28  James Henstridge  <james@daa.com.au>

	* configure.in (try): fix up xml.parsers.expat check.

2001-11-27  jacob berkman  <jacob@ximian.com>

	* tests/test-libglade-gtk-noupgrade.c:
	* tests/test-libglade-gtk.c (test_create): test custom widgets
	(main): make warnings fatal, and add an env var to show the
	toplevel window too

	* glade/glade-gtk.c (pixmap_set_build_insensitive): 
	(pixmap_set_filename): 
	(progress_set_format): 
	(option_menu_set_history): 
	(text_view_set_text): 
	(calendar_set_display_options): 
	(clist_set_column_widths): 
	(clist_set_selection_mode): 
	(clist_set_shadow_type): 
	(clist_set_show_titles): 
	(tree_set_selection_mode): 
	(tree_set_view_mode): 
	(tree_set_view_line): 
	(list_set_selection_mode): 
	(check_menu_item_set_always_show_toggle): 
	(text_set_text): 
	(radio_menu_item_set_group): 
	(toolbar_set_tooltips): add support for missing properties
	(build_progress):
	(build_option_menu):
	(build_text_view):
	(build_clist): remove unnecessary functions
	(build_preview): this widget is really broken
	(toolbar_build_children): make toolbars work
	(paned_build_children): ported from glade 1
	(_glade_init_gtk_widgets): reflect changes above

	* glade/glade-xml.c (glade_flags_from_string): don't increment i
	twice some times (this is a nasty bug)
	(custom_new): port from glade 1
	(glade_xml_build_widget): enable custom widget support

	* libglade-convert.in: fix up tons of deprecated / renamed /
	removed properties; fix toolbar, calendar, dialog support

2001-11-27  James Henstridge  <james@daa.com.au>

	* glade/glade-parser.c (glade_parser_parse_file): revert
	Gediminas's unaproved patch.  It is not libglade's place to make
	these sort of gettext calls -- the app is responsible for setting
	up the gettext text domain.
	(glade_parser_parse_buffer): same here.

2001-11-27  Gediminas Paulauskas <menesis@delfi.lt>

	* glade/glade-parser.c: retrieve translated messages with UTF-8
	codeset.

2001-11-26  James Henstridge  <james@daa.com.au>

	* tests/Makefile.am (test-libglade-gtk.glade2): libglade-convert
	is now in $(top_builddir), as it is a generated file.
	(test-libglade-gtk-noupgrade.glade2): same here.
	(distclean-local): add rule to remove files created by tests.

	* configure.in: update version number and version requirements.

2001-11-23  James Henstridge  <james@daa.com.au>

	* glade/glade-xml.c (get_custom_prop_info): don't dereference
	prop_info if it is NULL.
	(glade_xml_init): ref/sink the tooltips object, so we don't get
	the "unrefing floating object message".

	* glade/glade-gtk.c (set_tooltip): function to set a tooltip on a
	widget.
	(_glade_init_gtk_widgets): register set_tooltip as a custom
	property handler for "tooltip" on GtkWidgets.

	* glade/glade-xml.c (glade_xml_add_atk_relations): change to match
	ATK API change.
	(glade_xml_add_atk_actions): don't warn when the action name can't
	be found, as it may only get registered when libgail is loaded.

2001-11-22  James Henstridge  <james@daa.com.au>

	* glade/glade-xml.c (glade_register_custom_prop): new function to
	register a custom handler for a particular property.
	(get_custom_prop_info): function to all the custom property
	handlers for a particular type (it checks parents for properties
	and caches the results).

2001-11-21  James Henstridge  <james@daa.com.au>

	* Makefile.am (EXTRA_DIST): dist libglade-convert.in rather than
	libglade-convert.

	* tests/Makefile.am (test-libglade-gtk.glade2): use $(PYTHON)
	rather than a hard coded executable name.

	* libglade-convert.in: rename from libglade-convert, and use
	@PYTHON@ substitution.

	* configure.in: add check to find a python executable that
	satisfies "version >= 2.0" and "xml.parsers.expat is importable"

2001-11-18  Miles Lane  <miles@megapathdsl.net>

	* tests/test-libglade-gtk-noupgrade.c:
	tests/test-libglade-gtk.c: replace include of gobject/gobject.h
	with glib-object.h, due to a change in gobject/gobject.h
	that forces an #error for all direct includes.
	This checkin was approved by Havoc.

2001-11-12  jacob berkman  <jacob@ximian.com>

	* glade/glade-parser.c (glade_parser_parse_file): 
	(glade_parser_parse_buffer): destroy the interface if it is in
	fact NULL

	* glade/glade-xml.c (glade_xml_build_widget): also print out the
	name of the widget when debugging is on

	* glade/glade-parser.c (glade_parser_parse_file): 
	(glade_parser_parse_buffer): do not destroy the interface if the
	parsing didn't work, as it would have been NULL

	* tests/test-libglade-gtk-noupgrade.c: 
	* tests/test-libglade-gtk.c: simple regression tests for
	libglade-convert and libglade in general

	* acconfig.h: undef DEBUG since it doesn't work without this (even
	though i read that it should)

	* configure.in: don't add a comment do the non-DEBUG case of debug

	* Makefile.am (SUBDIRS): add tests

	* libglade-convert: fix --no-upgrade; handle GtkCTree in the same
	manner as GtkCList; handle GtkList in the same manner as GtkTree

2001-11-07  jacob berkman  <jacob@ximian.com>

	* libglade-convert: convert GtkCTree, GtkCList to GtkTreeView and
	GtkText to GtkTextView.  also fix some deprecated things and set
	up the GtkProgress adjustment correctly

	* glade/glade-gtk.c (build_progress): handle the format property
	(build_option_menu): handle the history property
	(build_text_view): handle the text property
	(build_clist): simplify by using glade_standard_build_widget

	* glade/Makefile.am: define GLADE_LIBDIR

	* libglade-2.0.pc.in (includedir): remove moduledir as it is
	broken

	* glade/glade-init.c (get_module_path): 
	(find_module): stolen from gtk
	(glade_require): search a path for modules, rather than requiring
	them to be in our prefix

2001-11-05  jacob berkman  <jacob@ximian.com>

	* glade/glade-gtk.c (clist_new): free the correct list

2001-10-31  James Henstridge  <james@daa.com.au>

	* doc/Makefile.am: remove update-libglade crack, as it breaks the
	distcheck.

	* test-libglade.c (main): don't call glade_init().

	* glade/glade-xml.c (glade_xml_class_init): call glade_init() here
	as well.

	* glade/glade-init.c (glade_require): call glade_init() here, to
	make sure libglade is initialised.

2001-10-29  jacob berkman  <jacob@ximian.com>

	* configure.in: set GETTEXT_PACKAGE

	* acconfig.h: add GETTEXT_PACKAGE

2001-10-27  jacob berkman  <jacob@ximian.com>

	* configure.in: 
	* glade/Makefile.am: 
	* doc/Makefile.am: 
	* Makefile.am: replace GTK_LIBS/CFLAGS and XML_LIBS/CFLAGS with
	LIBGLADE_LIBS/CFLAGS, and make the libglade check include gtk

2001-10-26  Havoc Pennington  <hp@redhat.com>

	* Makefile.am: remove undefined variables
	(bin_SCRIPTS): 

	* glade/Makefile.am (INCLUDES): remove undefined variables

2001-10-26  Michael Meeks  <michael@ximian.com>

	* glade/glade-gtk.c (clist_new): fix warning.
	(_glade_init_gtk_widgets): glade_standard_build_widget
	for GTK_TYPE_TEXT, not build_children, use build_button
	for GTK_TYPE_BUTTON, use scrolled_window_find_internal_child
	for GTK_TYPE_SCROLLED_WINDOW - kills all the warnings.

2001-10-24  jacob berkman  <jacob@ximian.com>

	* glade/glade-gnome.c:
	* glade/glade-bonobo.c:
	* glade/glade-canvas.c: moved to libgnomeui, libbonoboui,
	libgnomecanvas

2001-10-24  James Henstridge  <james@daa.com.au>

	* glade/glade-gtk.c (_glade_init_gtk_widgets): same here.

	* glade/glade-gnome.c (glade_module_register_widgets): same here.

	* glade/glade-bonobo.c (glade_module_register_widgets): use
	glade_register_widget.

	* glade/glade-xml.c (glade_register_widget): change from
	glade_register_widgets to a function for handling a single type.
	Instead of storing build data in a hash table keyed on the name,
	store as data on the GType (g_type_from_name can be used to do the
	name lookup).
	(get_build_data): function for getting the build data for a type.
	If no build data has been registered, return a standard handler.
	This will allow libglade to handle arbitrary types.
	(glade_xml_build_widget): use get_build_data to lookup the new()
	function.
	(glade_xml_handle_internal_child): use get_build_data().
	(glade_xml_set_common_params): use get_build_data().

2001-10-24  jacob berkman  <jacob@ximian.com>

	* glade/glade-init.c (glade_require): use g_module_build_path()

	* glade/Makefile.am: remove bonobo, gnome, canvas modules as they
	are moving to their respective modules

	* configure.in: remove bonobo, gnome, canvas checks, bump version
	to 1.99.3

	* glade/Makefile.am: build canvas module

	* glade/glade-gtk.c (clist_new): create a clist
	(clist_build_children): build title widgets
	(widget_data): add GtkText, and fix CList and CTree to use new
	functions

	* glade/glade-gnome.c (entry_find_internal_child): 
	(file_entry_find_internal_chid): accessors for the GtkEntry child

	* glade/glade-canvas.c: canvas support (probably will be moved to
	libgnomecanvas shortly)

	* libglade-convert: better stock pixmap migration migration;
	canvas, clist, file entry, gtktext support

	* doc/Makefile.am: fix for disting from clean checkout

	* acconfig.h:
	* configure.in: fix a typo in the gnome section, and detect the
	canvas

2001-10-23  Michael Meeks  <michael@ximian.com>

	* libglade-convert (fixup_as_type): fixup radio button
	groups so they point to the root id, and not a global
	pseudo group name.

2001-10-20  jacob berkman  <jacob@ximian.com>

	* libglade-convert (fixup_as_type): fix some typos

Fri Oct 19 15:14:03 2001  Jonathan Blandford  <jrb@redhat.com>

	* glade-2.0.dtd: Make valid xml.

2001-10-20  Michael Meeks  <michael@ximian.com>

	* glade/glade-bonobo.c: add BonoboWindow.

	* libglade-convert (fixup_as_type): set use_underline on
	label's containing '_'s. on GtkLabel & GtkButtons
	(parent_table): update inheritance table.
	(renamed_props): default_focus_target -> mnemnonic_widget.

2001-10-20  Michael Meeks  <michael@ximian.com>

	* libglade-convert (stock_button_translate): impl.

	* glade/glade-xml.c (glade_xml_build_widget): calm
	placeholder warnings.

	* libglade-convert (fixup_as_type): map stock_icon on
	GtkImageMenuItems, deal with GtkButtons with stock stuff
	properly. Map GnomeDialog's to GtkDialogs - makes most
	sense it seems.

	* glade/glade-gnome.c: add GnomeDialog

	* glade/glade-gtk.c (placeholder_create): impl.
	(image_menu_find_internal_child): impl.
	(menuitem_build_children): deal with internal children.

2001-10-18  Michael Meeks  <michael@ximian.com>

	* libglade-convert (fixup_as_type): deal with a scrolled
	window's policies. (handle_file): upgrade widgets, then
	fix them up.
	(fixup_as_type): start to make the image menu item work,
	called away home.

	* glade/glade-gtk.c (scrolled_window_find_internal_child):
	pass out the scrollbars.

	* libglade-convert (fixup_as_type): don't allow empty
	labels.

2001-10-18  Michael Meeks  <michael@ximian.com>

	* glade/glade-gtk.c (option_menu_build_children): kill.
	(option_menu_find_internal_child): impl.
	(build_button): fix strtol bug, add strol prototype in
	stdlib.h & simplify.

	* libglade-convert (WidgetDef.__init__): use the
	internal_child flag.

2001-10-12  Michael Meeks  <michael@ximian.com>

	* libglade-convert: allow_empty instead of enable_empty

2001-10-10  Michael Meeks  <michael@ximian.com>

	* glade/glade-gtk.c (widget_data): use
	menuitem_build_children for GtkOptionMenu

	* libglade-convert (new_label): split out creation
	(fixup_as_type): deal to some extent with
	GtkOptionMenus & their sub-labels.

Thu Oct 18 01:21:27 2001  Jonathan Blandford  <jrb@redhat.com>

	* glade/glade-gtk.c (option_menu_build_children): Handle
	GtkOptionMenu.

Wed Oct 17 02:15:10 2001  Jonathan Blandford  <jrb@redhat.com>

	* glade/glade-gtk.c (gtk_dialog_build_children): Handle dialog
	buttons better.
	(build_button): ditto

2001-10-11  James Henstridge  <james@daa.com.au>

	* glade/glade-xml.c (glade_xml_handle_widget_prop): use new
	naming.
	(glade_xml_set_common_params): handle changes to struct.
	(glade_xml_add_atk_relations): add an entry to
	self->priv->deferred_props for forward reference relations.
	(glade_xml_set_common_params): handle deferred relations here.

	* glade/glade-private.h: expand struct to handle more than just
	object properties (also do deferred relations).

2001-10-10  Michael Meeks  <michael@ximian.com>

	* libglade-convert (handle_file): hide toplevel
	windows. (hide_toplevel): impl.
	(fixup_as_type): ensure that x/y_options are always
	set to clobber obscure gtk+ defaults.

	* test-libglade.c (main): show all the top levels.

	* glade/glade-xml.c (glade_xml_init, glade_xml_finalize),
	(glade_xml_set_toplevel): track the toplevel's names
	(glade_xml_get_toplevel_names): impl.

	* glade/glade-gtk.c (window_new): pass info to
	set_toplevel.

2001-10-10  Michael Meeks  <michael@ximian.com>

	* glade/glade-gtk.c (notebook_build_children): remove
	packing property assignments.

	* glade/glade-xml.c (glade_xml_set_packing_property):
	privatize.

	* libglade-convert (fixup_as_type): re-write.
	(WidgetDef.append_prop): kill.

2001-10-10  Michael Meeks  <michael@ximian.com>

	* test-libglade.c (main): re-do the init so we
	don't get gnome-program moanings.

	* Makefile.am: upd.

	* configure.in: define WITH_GNOME, WITH_BONOBO

	* acconfig.h: cover them.

	* test-libglade.c: use the new defines.

	* libglade-convert: GtkSpinButton, GtkCombo,
	GnomeFileEntry updates,
	(fixup_as_type): recurse for GnomePropertyBox
	missing GtkDialog.

	* glade/glade-gtk.c (notebook_build_children):
	don't set 'type' properties on things.

	* glade/glade-gtk.c (notebook_build_children):
	prune warning.

2001-10-10  Michael Meeks  <michael@ximian.com>

	* glade/glade-xml.c (glade_flags_from_string):
	re-write, bug fix.

	* test-libglade.c (run_tests): expand.

2001-10-10  Michael Meeks  <michael@ximian.com>

	* Makefile.am: hook up tests, set dodgy env. var
	to trigger them.

	* test-libglade.c: run tests on env. or --run-tests

2001-10-09  Michael Meeks  <michael@ximian.com>

	* test-libglade.c (run_tests): impl.

	* libglade-convert (WidgetDef.append_prop): impl.
	(fixup_as_type): deal with tab widgets.

	* glade/glade-gtk.c (notebook_build_children): impl. nasty
	hacks around curious gtk_notebook API.
	(widget_data): update to point at notebook.

	* glade/glade-xml.c: prune scads of warnings.
	(glade_xml_set_packing_property): split out of
	(glade_standard_build_children): here.

2001-10-09  Michael Meeks  <michael@ximian.com>

	* libglade-convert (fixup_widget): split out recursion into
	(fixup_as_type): here. Traverse up a widget hierarchy mapping
	properties as appropriate, use passed 'type' not
	widget['class']
	(upgrade_widget): move GtkPixmapMenuItem handling here,
	GnomeFontPicker -> GtkFontSelection
	(WidgetDef.dump): ignore widgets marked 'obsolete', don't
	output them.
	(check_widget): mark removed widgets instead of dying.

2001-10-09  Michael Meeks  <michael@ximian.com>

	* glade/glade-xml.c (glade_standard_build_children):
	ref counting fix.

2001-09-29  Bill Haneman  <bill.haneman@sun.com>
	
	* glade-2.0.dtd: fixed a goof in attribute names,
	atkaction -> target should have been action_name.
	
	* configure.in: added check for atk >= 0.6.
	
	* examples/simple.glade:
	Added numerous bits to <accessibility> elements, to
	demonstrate the use of basic accessibilty properties,
	atkactions, and atkrelations.
	
	* glade/glade-parser.c:
	Added two new states, PARSER_WIDGET_ATK_ACTION and
	PARSER_WIDGET_ATK_RELATION.  Fixed parser to comform
	to changes/additions to new DTD.  Also now parse
	atkactions and atkrelations.
	
	* glade/glade-xml.c:
	Added new code and functions to handle accessibility
	needs: glade_xml_add_atk_relations(),
	glade_xml_add_atk_actions(), glade_xml_add_accessibility_info().
	Only known problem is failure of forward references in 
	atkrelation - a new warning is printed when this occurs.
	
2001-09-26  Bill Haneman  <bill.haneman@sun.com>
	
	* glade-2.0.dtd: additions to <accessibility> element
	definition, to support accessible properties that are themselves
	accessibles, and to support AtkAction and AtkRelation on
	UI components.
	
2001-09-26  James Henstridge  <james@daa.com.au>

	* Makefile.am (SUBDIRS): don't build po directory, as there are no
	translations to do.

	* libglade-convert (upgrade_widget): new function to handle
	upgrading widgets.
	(main): use the getopt module to parse arguments
	(check_widget): new function to check for deprecated, broken or
	removed widgets in the interface.  It also finds what libraries
	are used in the interface.
	(handle_file): write out requires lines.

	* Makefile.am (bin_SCRIPTS): remove the libglade-xgettext script.
	It doesn't work anymore, and its job should be handled by
	xml-i18n-tools.  Incidentally, this should get rid of the last
	parallel install issue.

	* glade/glade-xml.c (glade_xml_set_value_from_string): handle
	GdkPixbuf type properties.  String represents filename.

	* glade/glade-bonobo.c (glade_bonobo_widget_new): same here.

	* glade/glade-xml.c: remove glade_xml_new_with_domain.
	(glade_xml_set_value_from_string): add GladeXML argument.
	(glade_standard_build_widget): add argument to
	set_value_from_string call.
	(glade_standard_build_children): same here.

	* glade/glade-xml.h: more compatibility defines.

	* glade/glade-init.h (glade_bonobo_init): surround these
	compatibility defines with LIBGLADE_DISABLE_DEPRECATED.

2001-09-11  Michael Meeks  <michael@ximian.com>

	* glade/glade-init.h: add glade_gnome_init, glade_bonobo_init
	as compat defines for glade_init.

	* configure.in: use the glib gettext setup, use AC_OUTPUT so
	we work nicely with older automakes.

	* Makefile.am: ditto.

2001-09-06  James Henstridge  <james@daa.com.au>

	* libglade-convert (fixup_widget): fix small bug in combo fixup.

2001-09-05  James Henstridge  <james@daa.com.au>

	* libglade-convert (fixup_widget): convert combo boxes correctly.

	* glade/glade-gtk.c (combo_find_internal_child): handle internal
	children of a GtkCombo widget.

2001-09-04  James Henstridge  <james@daa.com.au>

	* glade/Makefile.am: build the gnome.la libglade module with
	support for libgnomeui.

	* glade/glade-gnome.c: update to new libglade APIs.  Mostly a
	skeleton at the moment -- not much testing done.

	* configure.in (build_gnome): add rules to detect libgnomeui-2.0.

2001-09-01  James Henstridge  <james@daa.com.au>

	* libglade-2.0.pc.in (Cflags): make change to match.

	* glade/Makefile.am (gladeincludedir): change the header directory
	from glade-2.0/glade to libglade-2.0/glade to match the stable
	branch.

2001-08-28  James Henstridge  <james@daa.com.au>

	* glade/glade-xml.c (glade_xml_init): initialise deferred_props to
	NULL.
	(glade_xml_init): use g_new0 to allocate the private struct so I
	don't get problems with invalid pointers when I miss something
	like forgetting to initialise deferred_props.

2001-08-26  James Henstridge  <james@daa.com.au>

	* libglade-2.0.pc.in (moduledir): add variable to .pc file so that
	other packages can find out where to put libglade modules.

	* configure.in: increment version number.

2001-08-25  James Henstridge  <james@daa.com.au>

	* glade/glade-xml.c (glade_xml_handle_widget_prop): add function
	to handle GtkWidget type properties.
	(glade_xml_set_common_params): apply any deferred properties.
	(glade_standard_build_widget): pass deferred properties off to
	glade_xml_handle_widget_prop.

	* glade/glade-gtk.c: add GtkViewport support (missed it for some
	reason).

	* configure.in (build_bonobo): add a --enable-bonobo=yes/no/auto
	switch

2001-08-24  Xavier Ordoquy <mcarkan@users.sourceforge.net>

        * glade/Makefile.am: added the glib domain log

2001-08-24  James Henstridge  <james@daa.com.au>

	* libglade-convert (WidgetDef.dump, ChildDef.dump): look at
	translatable_properties list to see if the property should be
	translatable.  This list is taken from the libglade-xgettext
	utility.

	* glade/glade-parser.c: fix things so that things really get
	translated.

	* glade/glade-build.h: remove reference to gettext.

	* glade/glade-xml.c (glade_xml_construct): pass domain argument on
	to glade_parser_parse_file.
	(glade_xml_new_from_buffer): pass domain argument on to
	glade_parser_parse_buffer.
	(glade_xml_gettext): remove function.
	Remove references to the GladeXML.txtdomain member.

	* glade/glade-bonobo.c (glade_bonobo_widget_new): cast to GObject.
	Remove reference to glade_xml_gettext.

	* glade/glade-parser.c (GladeParseState): add domain member to
	hold the translation domain being used for the XML file.  Also add
	a translate_prop member to say whether the member should be
	translated.
	(glade_parser_start_element): check for translatable attribute on
	property elements.
	(glade_parser_end_element): if property is to be translated, pass
	it through dgettext.

	* glade/glade-parser.h: add domain argument to the GladeInterface
	constructors.

2001-08-23  James Henstridge  <james@daa.com.au>

	* glade/glade-parser.c (glade_parser_characters): use
	g_string_append_len rather than multiple calls to
	g_string_append_c, from patch by Michael.

	* configure.in: update program version number.
	(build_bonobo): make sure PKG_CHECK_MODULES doesn't cause
	configure to fail if libbonoboui is not found.  Bonobo support is
	a soft dependency, and we can get along fine without it.

	* glade/glade-xml.c (glade_xml_widget_destroy): set up a destroy
	handler on widgets that removes them from the GladeXML object's
	name hash.  Also nullifies libglade's object data on the object.
	(glade_xml_set_common_params): connect the destruction function to
	the destroy signal using g_signal_connect_object so that the
	handler will be removed if the GladeXML object is finalized.
	(glade_xml_finalize): on finalization, remove the object data on
	the widgets that remain in the name hash.

2001-08-22  James Henstridge  <james@daa.com.au>

	* glade/glade-xml.c (glade_xml_finalize): remove object data and
	disconnect signal on finalisation of GladeXML structure.

	* examples/bonobo.glade: test case for bonobo control embedding.
	It creates a BonoboWidget representing an
	OAFIID:Bonobo_Sample_Entry.

	* test-libglade.c (main): get rid of gnome arg parsing code.
	Reindent to match the rest of libglade.

	* glade/glade-bonobo.c (glade_bonobo_widget_new): handle both
	GObject properties and properties in the control's property bag.

	* glade/glade-init.c (glade_require): add a missing '&' symbol so
	that the g_module_symbol call doesn't clobber memory.  Loading a
	glade file which uses bonobo controls should work now (provided
	bonobo_ui_init() is called).

2001-08-20  James Henstridge  <james@daa.com.au>

	* glade/glade-xml.c (glade_xml_build_widget): remove extended
	build function stuff from here as well.

	* glade/glade-private.h: remove extended build function stuff, as
	it isn't used anymore.

	* glade/glade-bonobo.c (glade_bonobo_widget_new): update to match
	new APIs.  Also, rather than passing all unknown widgets to the
	bonobo module, handle only BonoboWidget type widgets (look for the
	moniker property to decide what type of control to instantiate).

	* glade/Makefile.am (bonobo_la): add rules to build the bonobo
	module.

	* configure.in (build_bonobo): add rules to detect bonobo support.

2001-08-19  James Henstridge  <james@daa.com.au>

	* glade/glade-xml.c (glade_get_adjustment): remove function.
	(glade_xml_set_window_props): remove function.

	* glade/glade-gtk.c (menuitem_build_children): same here.

	* glade/glade-xml.c: change many functions to get rid of long name
	crud.

	* glade/glade-private.h: remove longname_hash from the private
	structure.

2001-08-16  James Henstridge  <james@daa.com.au>

	* Makefile.am (SUBDIRS): renable building of documentation.

	* doc/Makefile.am: fix up makefile to work correctly with the
	GObjectized GladeXML.

	* configure.in: update to use some autoconf-2.52 features, such as
	getting rid of the need for acconfig.h.

	* glade/glade-xml.c (glade_xml_build_interface): call
	glade_require() for each extra module required by the glade file,
	in order to handle autoloading.

	* Makefile.am (SUBDIRS): fix up makefile a bit.

	* glade/glade-xml.c (glade_xml_set_value_from_string): add support
	for GdkColor and GtkAdjustment type values.
	(glade_xml_set_value_from_string): make the unsupported property
	type message include the ParamSpec name in the error.

	* libglade-convert (collect_adjustment): collect properties that
	define an adjustment into a single property.
	(fixup_widget): collect adjustments for range widgets, spin
	buttons, viewports, scrolled windows and layouts.

2001-08-15  James Henstridge  <james@daa.com.au>

	* libglade-convert: rewrite large portions of the script to make
	it easier to extend.  It now parses the old file into a tree of
	WidgetDef instances.  It then runs a fixup routine on the tree,
	and finally dumps the modified tree in the new format.
	(fixup_widget): add missing GtkAccelLabel child to menu items with
	a label property but no children.
	(fixup_widget): add internal_child settings for GtkDialog special
	children.

	* examples/first.glade: add another example, based on one Chema
	sent me.

	* examples/simple.glade: update example file.

	* glade-2.0.dtd: update DTD to match.

	* glade/glade-parser.c (glade_parser_start_element): handle child
	packing properties in a <packing> element rather than directly in
	<child>.
	(glade_parser_end_element): same here.
	(glade_parser_characters): same here.

2001-08-14  James Henstridge  <james@daa.com.au>

	* glade/glade-gtk.c (dialog_find_internal_child): handle vbox and
	action_area internal children for GtkDialogs.

	* examples/simple.glade: add a GtkDialog to the interface to test
	internal child handling.

	* glade/glade-xml.c (glade_xml_handle_internal_child):
	implemenentation.
	(glade_standard_build_children): call
	glade_xml_handle_internal_child to handle any internal children.
	(glade_xml_set_window_props): comment out this function.

2001-08-13  James Henstridge  <james@daa.com.au>

	* glade/glade-build.h: add a function pointer to the
	GladeWidgetBuildData to handle internal children (such as the vbox
	in a GtkDialog that gets created for you).
	(glade_xml_handle_internal_child): prototype for internal child
	handler.

2001-07-29  James Henstridge  <james@daa.com.au>

	* glade/glade-parser.c (handle_child): handle internal-child
	attribute.

	* glade-2.0.dtd: add translatable attribute to <property>
	elements, and change composite-child=yes|no attribute of <child>
	element to internal-child="...".

	* glade/glade-gtk.c (menuitem_build_children): add a special
	build_children handler for menu items that does
	gtk_menu_item_set_submenu for GtkMenu `children'.

2001-06-25  James Henstridge  <james@daa.com.au>

	* libglade-convert: new program that takes a stab at converting
	old glade files to the new format.

	* glade/glade-parser.c (flush_accels): fix bug here where the
	wrong member of the GladeParseState structure was freed.

	* examples/simple.glade: update to use a container child property.

	* glade/glade-xml.c (glade_standard_build_children): add support
	for container child properties.

2001-06-17  James Henstridge  <james@daa.com.au>

	* glade/glade-gtk.c (widget_data): add entries to the widget_data
	array so that it will recognise all the GTK+ widgets.  It won't
	handle them all correctly though :)

2001-06-16  James Henstridge  <james@daa.com.au>

	* examples/simple.glade: update so that we have a window with a
	button in it, and make the app quit when the button is pressed.

	* glade/glade-xml.c (glade_xml_set_value_from_prop): fix buf in
	the G_TYPE_UINT case.

	* glade/glade-gtk.c (window_new): constructor for a GtkWindow.

	* test-libglade.c (main): more fixups to account for GladeXML
	being a GObject rather than GtkObject (fix unref call).

2001-06-15  James Henstridge  <james@daa.com.au>

	* Makefile.am (SUBDIRS): don't recurse into doc dir until docs
	build is fixed.

	* test-libglade.c (main): fix for new API.

	* glade/glade-gtk.c (_glade_init_gtk_widgets): empty out this file
	a bit.
	(widget_data): add GtkButton to list.

	* glade/glade-xml.c (glade_xml_set_value_from_prop): fix up GValue
	code here.
	(glade_enum_from_string): update to use GEnum APIs.
	(glade_flags_from_string): new function to parse flags.  Can parse
	symbols or'd together with '|'.

	* glade/glade-init.c (glade_require): fix return statement.

	* glade/glade-xml.h: don't include nonexistant <gtk/gtkdata.h>.
	We don't even need it anymore.

	* glade/glade-xml.c (glade_standard_build_widget): generic
	function to build a new widget using properties.  Requires my
	g_object_newv patch (until it gets applied to glib).

2001-05-19  James Henstridge  <james@daa.com.au>

	* Makefile.am (bin_SCRIPTS): don't install libglade-config script.

	* glade/Makefile.am (INCLUDES): set GLADE_MODULE_DIR cpp define.

	* glade/glade-init.h: header file containing gnome-init.c
	prototypes (rather than having them in glade.h).

	* glade/glade-init.c (glade_require, glade_provide): new functions
	to handle dynamic loading of modules.

2001-05-18  James Henstridge  <james@daa.com.au>

	* glade/glade-xml.c: other changes just to get it to compile
	correctly.  It is still broken.

2001-05-17  James Henstridge  <james@daa.com.au>

	* glade/Makefile.am: update makefiles to compile in new parser
	rather than old.

	* glade/glade-xml.c: remove uline accel stuff, and comment out the
	label accel stuff until I rewrite it to use mnemonics.

	* glade/glade-private.h: remove uline accel related members.

	* glade/glade-build.h: remove uline accel interfaces.

	* glade/glade-parser.h (glade_interface_dump): add extra prototype.

	* glade/glade-parser.c: bug fixes to parser.
	(glade_interface_dump): new function to dump the contents of the
	interface.  Used for debugging purposes.

2001-05-16  James Henstridge  <james@daa.com.au>

	* glade/glade-parser.[ch]: first checkin of parser for new glade
	format.  It has a fair amount of code to warn about many
	violations of the DTD.  It runs silently on some of my test files,
	so that is a good sign :)

2001-05-13  James Henstridge  <james@daa.com.au>

	* doc/glade-2.0.dia: a diagram of the SAX parser flow for the new
	format.

2001-05-06  James Henstridge  <james@daa.com.au>

	* glade/glade-xml.c: change to a GObject.

	* glade/glade-xml.h: change to a GObject.

2001-05-05  James Henstridge  <james@daa.com.au>

	* glade-2.0.dtd: update DTD

	* glade/glade-sax.c: change include path.  It would seem that this
	parser compiles without problem with libxml2.  It may even work
	correctly :)

2001-05-03  James Henstridge  <james@daa.com.au>

	* glade-2.0.dtd: check in initial work on a new DTD for glade.

	* *: start to change build stuff for gtk+ 2.0 and libxml2.  Stable
	branch is libglade-1-0.

2001-04-04  John Gotts  <jgotts@linuxsavvy.com>

	* libglade.spec.in: Fixed the Group:'s.  Also cleaned up the build
	process a bit.

2001-03-26  Darin Adler  <darin@eazel.com>

	* doc/.cvsignore: Ignore some more generated files.

2001-02-13  James Henstridge  <james@daa.com.au>

	* glade/glade.h: add prototype for glade_gnome_db_init.

	* glade/glade-gnomedb.c (glade_gnome_db_init): accidentally forgot
	to initialise the gnome-db widgets :( -- cut and paste error.

2001-02-12  James Henstridge  <james@daa.com.au>

	* NEWS: added news items.

	* glade/glade-gnomedb.c: changed copyright notice for this file at
	author's request.

	* glade/glade-gtk.c (toolbar_build_children): interpret active
	attribute.

	* glade/glade-gnome.c (gnomedialog_build_children): translate the
	label if it is not a stock button.
	(toolbar_build_children): interpret the "active" attribute of
	toolbar toggle button children.  Based on patch from Byron
	Ellacott.

2001-02-10  James Henstridge  <james@daa.com.au>

	* libglade.m4 (module_args): recognise "gnomedb" addon library.

	* libglade-config.in (lib_gnomedb): add in rules to show gnomedb
	flags.

	* libglade-gnome.pc.in (Requires): libglade-gnome requires gnomeui
	-- this should correct the problem with this file.

	* libglade-gnomedb.pc.in: the pkg-config script for libglade-gnomedb.

	* Makefile.am (pkgconfig_DATA): install a gnomedb pkg-config data
	file if building gnome-db support.

	* glade/Makefile.am: add rules for gnomedb library and increment
	libtool version number.

	* configure.in: add gnome-db tests and update version number.

	* glade/glade-gnomedb.c: new file based on the gnomedb support
	contributed by David Mar�n Carre�o <davefx@bigfoot.com>.

2000-11-29  James Henstridge  <james@daa.com.au>

	A couple of memory leaks found by Morten:
	* glade/glade-bonobo.c (gnome_control_new): unref the control
	frame on error rather than destroying it.  Destroy doesn't unref,
	so we get a leak.

	* glade/glade-gnome.c (pixmapmenuitem_new): free the filename of
	the icon file here.

2000-11-28  Jody Goldberg <jgoldberg@home.com>

	* configure.in : Use AM_PROG_LIBTOOL rather than AC_PROG_LIBTOOL

2000-11-22  James Henstridge  <james@daa.com.au>

	* NEWS: new news items.

	* configure.in: increment version number.

	* doc/Makefile.am (clean-local): small makefile fix.

	* configure.in: build .pc files from .pc.in files.

	* libglade-*.pc.in: pkg-config input files for various libglade
	components.  These ones cause a segfault in pkgconfig-0.4, due to
	a small bug.

	* configure.in (have_bonobo): modify check so that you must pass
	--enable-bonobo flag to get bonobo support.

	* glade/glade-xml.c (glade_xml_set_toplevel, glade_xml_destroy):
	pick up a GtkAccelGroup reference leak highlighted by Morten's
	last patch.

2000-11-21  Morten Welinder  <terra@diku.dk>

	* glade/glade-xml.c (glade_xml_destroy): Plug leak.

2000-11-08  James Henstridge  <james@daa.com.au>

	* doc/Makefile.am (scan): small fix to the docs directory makefile
	so that it will build with more recent gtkdoc's.

2000-11-05  James Henstridge  <james@daa.com.au>

	* glade/glade-gnome.c (druid_build_children): setup accel groups
	for the individual pages of the druid, similar to the property box
	and notebook widgets.

	* test-libglade.c (main): unref the GladeXML object before calling
	gtk_main.  This shouldn't cause any problems.

	* glade/glade-gnome.c (messagebox_build_children): glade seems to
	use the stock_pixmap tag rather than stock_button now.
	(get_stock_name): check for a NULL pointer here.

2000-11-04  James Henstridge  <james@daa.com.au>

	* glade/glade-xml.c (glade_xml_init): always create the tooltips
	object.
	(glade_xml_set_toplevel): add a reference to the GtkTooltips
	object for each toplevel window.  We use gtk_object_set_data_full
	so we can remove this reference when the window is destroyed.
	(glade_xml_destroy): unref the tooltips object here.  This will
	not destroy the tooltips, as the GtkWindows now hold a reference.

2000-11-02  Michael Meeks  <michael@helixcode.com>

	* configure.in (have_bonobo): require Bonobo 0.27

2000-10-08  James Henstridge  <james@daa.com.au>

	* glade/glade-xml.h: remove "#pragma }", which was stuffing up a
	C++ compiler

2000-10-07  James Henstridge  <james@daa.com.au>

	* glade/glade-gnome.c (pbox_page_setup_signals): ditto.

	* glade/glade-gtk.c (note_page_setup_signals): make the map and
	unmap signals hold a reference to the accel group.  Get rid of the
	destroy handler which unref'd the accel group.

2000-09-18  James Henstridge  <james@daa.com.au>

	* glade/glade-xml.c (glade_xml_pop_accel): unref the accel group
	when popping it off the stack.  These things don't have a floating
	reference.

2000-09-03  Federico Mena Quintero  <federico@helixcode.com>

	* glade/glade-xml.c (glade_xml_init): Initialize priv->tree to
	NULL, otherwise we will pick up uninitialized memory when unrefing
	a GladeXML that failed to load.

2000-08-13  Michael Meeks  <michael@helixcode.com>

	* configure.in (have_bonobo): require Bonobo 0.17

	* glade/glade-bonobo.c (gnome_control_new): fix for latest Bonobo.

2000-08-01  James Henstridge  <james@daa.com.au>

	* configure.in: revert Martin's patch.  The GNOME_INIT_HOOK macro
	already handles a --with-gnome switch, and it was preventing the
	configure script from auto detecting gnome.

2000-07-30  James Henstridge  <james@daa.com.au>

	* glade/glade-sax.c: fixed small memory leak in glade_widget_tree_unref
	found by SigWait <sigwait@yahoo.com>.

2000-07-28  Martin Baulig  <baulig@suse.de>

	* configure.in (--without-gnome): New configure parameter to
	disable GNOME support.

2000-07-10  James Henstridge  <james@daa.com.au>

	* NEWS: add news items.

	* glade/Makefile.am (LTVERSION): updated libtool version number.

	* configure.in: updated version number.

2000-06-26  James Henstridge  <james@daa.com.au>

	* glade/glade-gnome.c (menushell_build_children): add tearoffs to
	menus if gnome_preferences_get_menus_have_tearoff() is true.

	* glade/glade-gtk.c (custom_new): use glade_create_custom.

	* glade/glade-build.h: prototype for glade_create_custom.

	* glade/glade-xml.c (glade_set_custom_handler): implementation.
	Default custom handler use GModule like before.
	(glade_create_custom): function for use in glade-gtk.c

	* glade/glade-xml.h: add prototype for setting a function used to
	create custom widgets.

2000-06-25  James Henstridge  <james@daa.com.au>

	* glade/glade-gnome.c (pixmapmenuitem_new): revert visible accels.
	(pixmapmenuitem_new): fix problem correctly by adding an accel
	label to the GtkPixmapMenuItem and attaching it to the menu item.

	* glade/glade-gtk.c (menuitem_new): 
	(checkmenuitem_new): 
	(radiomenuitem_new): revert visible accel patch here.

	* glade/glade-gnome.c (toolbar_build_children): same here.

	* glade/glade-gtk.c (toolbar_build_children): set group on radio
	buttons in a toolbar.

	* glade/glade-gnome.c (href_new): default url to "" rather than
	NULL, so we don't crash if url is not specified in glade file.
	Fixes #9206

	* glade/glade-gtk.c (radiomenuitem_new): applied Mitch Chapman's patch
	to add group support to radiomenuitems.

	* glade/glade-gnome.c (pixmapmenuitem_new): make accel visible.

	* glade/glade-gtk.c (menuitem_new): make accelerator visible.
	(checkmenuitem_new): make accel visible.
	(radiomenuitem_new): make accel visible.

2000-05-20  James Henstridge  <james@daa.com.au>

	* NEWS: news updates.

	* doc/Makefile.am (scan): change so you don't need an X connection
	during build of documentation.
	(uninstall-local): add uninstall hook to uninstall libglade docs, to
	make distcheck work.
	(distclean-local): yet another rule to make distcheck work.

	* configure.in: incremented package version number.

	* glade/Makefile.am (LTVERSION): updated libtool version number.

	The reason for the following change is that it makes the
	functionality of the libglade-gnome library different depending on
	where it was built.  A better solution to this is a form of
	dynamic loading, which I am going to look at.

	* glade/glade-bonobo.c: resurect this file.

	* glade/glade-gnome.c: remove bonobo code.

	* glade/Makefile.am (libglade_bonobo_la_LIBADD): split bonobo back
	out into a separate library.

2000-05-06   Ramiro Estrugo  <ramiro@eazel.com>

	* configure.in: AM_CONDITIONAL needs to be called on the bonobo
	flag, so restore that.  Also add AC_SUBST(BONOBO_SUPPORT_FALSE) to
	make sure it gets substituted in libglade-config, otherwise bad
	things happen.

2000-05-05   Maciej Stachowiak  <mjs@eazel.com>

	* configure.in: actually substitute the BONOBO_SUPPORT_FALSE flag
	required by libglade-config.in. Probably someone forgot to commit
	something.

2000-05-04  Michael Meeks  <michael@helixcode.com>

	* glade/Makefile.am: update.

	* glade/glade-gnome.c (gnome_control_new): move here.
	(glade_gnome_init): update for bonobo case.

	* glade/glade-bonobo.c: from here; kill this file.
	
	* configure.in (have_bonobo): add define for bonobo.

	* acconfig.h: and here.

2000-04-15  James Henstridge  <james@daa.com.au>

	Notebook patch from Jon K Hellan:
	
	* glade/glade-gtk.c (notebook_build_children): push accelerators for
	each notebook page, so only accels on the visible page are enabled.

	* glade/glade-gnome.c (propbox_build_children): push accelerators for
	each notebook page, so only accels on the visible page are enabled.

	* glade/glade-xml.c (glade_xml_{push,pop}_accel): change over to
	these for accelerator handling.

	* glade/glade-build.h: add prototypes for glade_xml_{push,pop}_accel.

	Memory leak fixes from Morten:
	
	* glade/glade-xml.c (glade_xml_destroy): free the radio group hash
	table after building the widgets.  Leak also found by Morten.

	* glade/glade-gtk.c (combo_new): free combo item list.  Bug reported
	by Morten

2000-04-01  Michael Meeks  <michael@helixcode.com>

	* glade/glade-bonobo.c (gnome_control_new): update to new Bonobo API.

	* configure.in (have_bonobo): bump required version to 0.10

2000-03-25  Peter Teichman <peter@helixcode.com>

	* glade/glade-xml.c (glade_xml_build_widget): add set_common_params
	logic for bonobo control + clean flow. (glade_xml_set_common_params):
	update for bonobo controls.

2000-03-13  James Henstridge  <james@daa.com.au>

	* glade/glade-xml.h: added prototypes for new functions.

	* libglade.m4 (module_args): add support for bonobo library to macro.

	* libglade-config.in: added support for the bonobo library to this
	script.

	* NEWS: added news items.

	* glade/Makefile.am (LTVERSION): updated libtool version number.

	* doc/libglade-sections.txt: add extra functions to documentation.

	* glade/glade-xml.c (glade_xml_get_widget_prefix): new function
	for finding all widgets starting with a particular prefix.  This
	is based on the glade_xml_get_widgets function suggested by
	Martijn van Beers.
	(glade_xml_signal_connect_data): new function to connect a named
	signal and allow the user to set the signal data.

2000-03-10  Tor Lillqvist  <tml@iki.fi>

	* configure.in: Check for unistd.h.

	* acconfig.h: Add HAVE_UNISTD_H.

	* glade/glade-sax.c: Guard inclusion of unistd.h.

	* glade/glade-xml.h
	* glade/glade-xml.c: Rename the textdomain field to txtdomain as
	textdomain() is a libintl function, and can in certain cases be
	#defined as textdomain__ by libintl.h. This causes trouble if
	libintl.h is included after glade-xml.h.

	* config.h.win32
	* makefile.mingw
	* glade/makefile.mingw
	* glade/glade.def: New files for Win32 port. As in the GLib, GTk+, 
	and GIMP ports, we use hand-written makefiles and config.h files,
	at least for now.

	* Makefile.am
	* glade/Makefile.am: Add above new files to EXTRA_DIST.

2000-03-10  Michael Meeks  <michael@helixcode.com>

	* glade/glade-bonobo.c: Add.

	* glade/glade.h: add glade_bonobo_init.

	* glade/glade-xml.c (glade_xml_build_widget): Add extended widget
	support.

	* glade/glade-private.h: Add extended_widget prototype.

	* glade/Makefile.am (THE_FLAGS): add Bonobo support.

	* configure.in: add bonobo checks.

	* autogen.sh (PKG_NAME): change to libGlade.

2000-03-12  James Henstridge  <james@daa.com.au>

	* glade/Makefile.am (INCLUDES): don't bother with the THE_FLAGS
	stuff.  If gnome support is not enabled, then the GNOME_INCLUDEDIR
	macro will expand to nothing.

	* glade/glade-gnome.c (pixmapmenuitem_new): check for a user icon
	as well as stock icons.  This change is based on a patch from
	David Santiago <mrcooger@cyberverse.com>.

2000-03-10  James Henstridge  <james@daa.com.au>

	* glade/glade-gnome.c (gnome_uiinfo_mapping): added an entry for
	GNOMEUIINFO_MENU_NEW_SUBTREE.
	(dock_build_children): use gnome_app_add_dock_item if this dock
	is a child of a GnomeApp.  This doesn't seem to help with getting
	it to use the saved dock layout though :(

	* glade/glade-private.h: removed some prototypes that also apear in
	glade-xml.h.

2000-03-09  James Henstridge  <james@daa.com.au>

	* libglade-xgettext (TranslatableStringParser.add_string): don't
	add the string "" to the catalog.

	* glade/*.c: updated copyright to include 2000.
	
	* glade/glade-xml.c (glade_xml_set_common_params): handle the case
	where the events parameter is returned as a string rather than a
	simple integer, as it is in current versions of glade.

2000-03-08  James Henstridge  <james@daa.com.au>

	* glade/glade-gtk.c (progressbar_new): added support for progress
	bar attributes.

2000-01-22  James Henstridge  <james@daa.com.au>

	* glade/glade-gtk.c (paned_build_children): recognise the resize
	and shrink child packing attributes.

1999-12-16  Eric Gillespie Jr.  <epg@pobox.com>

	* glade/glade-gtk.c (hpaned_new): Now handles the 'position' attribute.
	(vpaned_new): Same here.

1999-12-05  James Henstridge  <james@daa.com.au>

	* NEWS: added news items.

	* configure.in: incremented package version to 0.11.

	* glade/Makefile.am (LTVERSION): incremented libtool version.

	* glade/glade-gtk.c (calendar_new): added GtkCalendar support.
	(inputdialog_new): added support for GtkInputDialog.

1999-12-04  James Henstridge  <james@daa.com.au>

	* glade/glade-gtk.c, glade/glade-gnome.c: other fixes.
	
	* glade/glade-gnome.c (toolbar_build_children): same here.

	* glade/glade-gtk.c (toolbar_build_children): do not die if pixmap
	couldn't be found.

	* glade/glade-xml.c: added more assertions.

1999-12-03  James Henstridge  <james@daa.com.au>

	* glade/glade-sax.c: added some assertions to the tree ref/unref
	code.

	* glade/glade-xml.c (glade_xml_destroy): patch to prevent segfaults
	on bad .glade files from Michael Meeks.

1999-11-20  James Henstridge  <james@daa.com.au>

	* README: updated readme file.  It was really out of date.

	* configure.in: incremented package version number.

	* glade/Makefile.am (LTVERSION): incremented libtool version number.

	* glade/glade-gtk.c (pixmap_new): make sure we don't crash when the
	pixmap can't be found.

	* glade/glade-xml.c (glade_xml_set_window_props): fixed bug in
	call to gtk_window_set_policy.

1999-11-16  James Henstridge  <james@daa.com.au>

	* glade/Makefile.am (LTVERSION): updated libtool version number.

	* NEWS: added news items.

	* configure.in: incremented version number.

	* glade/glade-gnome.c (about_new): 
	(gnomedialog_new): 
	(messagebox_new): 
	(app_new): 
	(propbox_new): use glade_xml_set_window_props to set common window
	properties.

	* glade/glade-gtk.c (window_new): 
	(dialog_new): 
	(fileselection_new): 
	(colorselectiondialog_new): 
	(fontselectiondialog_new): use glade_xml_set_window_props to set
	common window properties.

	* glade/glade-xml.c (glade_xml_set_window_props): new helper function
	to set properties common to GtkWindow derived widgets.

	* test-libglade.c: added licence to test-libglade example.  It is
	dual licenced under GPL and X style licence, so it should be safe
	for people to use as a base for programs that use libglade but have
	different licencing to libglade.

1999-11-13  James Henstridge  <james@daa.com.au>

	* glade/glade-xml.c (glade_xml_set_common_params): added patch to
	correctly unset the CAN_FOCUS flag on widgets.  The patch came from
	Andreas Degert <ad@papyrus-gmbh.de>

	* glade/glade-gnome.c (toolbar_new): use the toolbar style as set in
	the control center, rather than that in the XML file.
	(dockitem_new): fixed bug with setting name of dock items.  Patch
	came from Eric Gillepsi Jr. <epg@pobox.com>.

1999-11-12  James Henstridge  <james@daa.com.au>

	* glade/glade-gtk.c (toolbar_build_children): same here.

	* glade/glade-gnome.c (toolbar_build_children): check if we are adding
	a toggle button or radio button, and handle those cases correctly.

	* configure.in (libxml check): this is libglade, not gnorpm.  Fixed
	simple cut and paste error from messages in the libxml check.

	* glade/glade-gnome.c (pixmapmenuitem_new): make sure labels are
	left justified in GtkPixmapMenuItems.

1999-11-01  James Henstridge  <james@daa.com.au>

	* glade/glade-gtk.c (label_new, accellabel_new): understand the wrap
	property of label widgets.

	* glade/glade-gnome.c: understand GNOME_STOCK_PIXMAP_EXIT and
	GNOME_STOCK_MENU_EXIT as well as the QUIT variants.

	* configure.in: make sure a new enough version of libxml is installed
	on the system.  AFAIK, 1.7.2 was the first version to contain the
	required functions.

	* glade/glade-sax.c (glade_widget_tree_parse_file): use the
	xmlSAXUserParseFile function instead of my_xmlSAXParseFile.
	(glade_widget_tree_parse_memory): similar with xmlSAXUserParseMemory.

	Now we don't need to include parserInternals.h, so libglade will be
	less likely to break when libxml internals change.

1999-10-28  James Henstridge  <james@daa.com.au>

	* gnome-widgets.glade: added GnomeDruid example to file.
	
	* glade/glade-gnome.c (druidpage_build_children): use
	glade_xml_set_common_params to handle the GnomeDruidPageStandard's
	internal vbox.  This causes border width, etc to be handled
	correctly.

	* glade/glade-xml.c (glade_xml_gettext): always return the empty
	string for empty message ids.  Most catalogs have a translation
	from the empty message id to some info about the catalog.  We don't
	want to display this.

	* glade/glade-sax.c: fixed test to remove placeholders from internal
	representation of the XML file.

	* glade/glade-gtk.c (label_new, accellabel_new): fixed mem leak found
	by Morten.  This fixes bug #3127.

1999-09-28  James Henstridge  <james@daa.com.au>

	* NEWS: added news items.

	* configure.in: incremented package version number.

	* glade/Makefile.am (LTVERSION): incremented libtool version number.

	* gnome-widgets.glade: extended it by adding a proprety box to the
	example.
	
	* glade/glade-gnome.c (gnomedialog_build_children): fix seg fault when
	inserting normal buttons into a GnomeDialog's action area.  This
	fixes bug #2323.

	* glade/glade-tree.c (glade_tree_get): fixed up a seg fault when the
	XML file could not be parsed or does not exist.

1999-09-20  James Henstridge  <james@daa.com.au>

	* glade/glade-gnome.c (stock_button_new): carried Miguel's button
	patch over to the gnome code.

	* glade/glade-gtk.c (button_new, togglebutton_new, checkbutton_new):
	(radiobutton_new):  do not translate the strings twice.  It could
	cause weird problems.

	* NEWS: added extra news items.

	* configure.in: incremented package version.

	* glade/Makefile.am (LTVERSION): incremented libtool library version.

1999-09-19  James Henstridge  <james@daa.com.au>

	* glade/glade-xml.c (glade_xml_set_common_params): check if the widget
	is the default or focus widget for the window.
	(glade_xml_set_toplevel): call gtk_widget_grab_default or grab_focus
	on the appropriate widgets when we are ready to build the next window.
	(glade_xml_build_interface): set the default/focus widgets for the
	last window to be built as well.
	(glade_xml_init): set default_widget and focus_widget to NULL at
	startup.

	* glade/glade-private.h (GladeXMLPrivate): add members to hold default
	and focus widgets for a window.

1999-09-18  Miguel de Icaza  <miguel@gnu.org>

	* glade/glade-sax.c: Set can_focus to zero initially.  If the
	widget can focus, Glade will explicitly list it.

1999-09-14  James Henstridge  <james@daa.com.au>

	* glade/glade-sax.c (gladeEndElement): extract has_default, has_focus
	into appropriate elements.
	(gladeEndElement): remove placeholders from the interface description.
	To get old behaviour, don't define REMOVE_PLACEHOLDERS at top of 

	* glade/glade-widget-tree.h: added has_default and has_focus flags.

1999-09-13  Miguel de Icaza  <miguel@nuclecu.unam.mx>

	* glade/glade-gtk.c (label_new): Do not translate a string if it
	is empty. 
	(button_new): ditto.
	(checkbutton_new): ditto.
	(menuitem_new): ditto.
	(checkmenuitem_new): ditto.
	(radiomenuitem_new): ditto

1999-09-12  James Henstridge  <james@daa.com.au>

	* glade/glade-sax.c: got rid of an infinite loop in the accelerator
	modifier parsing code.  This fixes bug #2098

1999-09-06  James Henstridge  <james@daa.com.au>

	* NEWS: added news items for stuff I have added for this release.

	* configure.in: incremented package version.

	* glade/Makefile.am (LTVERSION): incremented libtool version.

	* glade/glade-gnome.c (propbox_build_children): added similar
	behaviour here.

	* glade/glade-gtk.c (notebook_build_children): added underline
	accelerator support for notebook tabs.  You can switch between
	pages of the notebook by using the underline accelerator on the
	page's tab.

	* glade/glade-gnome.c (button_build_children): same function here
	for gnome support.

	* glade/glade-gtk.c (button_build_children): new function for
	building button children.  It also adds an accelerator for the
	clicked signal if appropriate.

	* glade/glade-xml.c (glade_xml_set_common_params): check to see if
	any label underline accelerators have to be attached.

	* glade/glade-private.h (GladeXMLPrivate): added new fields for
	label underline accelerators.

	* glade/glade-build.h: added prototypes for the new functions.
	
	* glade/glade-xml.c (glade_xml_handle_label_accel): handle label
	underline accelerators.
	(glade_xml_get_parent_accel): routine for getting underline
	accelerators directed at the parent widget.

	* glade/glade-gtk.c (label_new): extract the underline accelerator
	from the label.

	* glade/glade-gnome.c (propbox_new): set up the property box to use
	a new accel group.

	* glade/glade-xml.c (glade_get_adjustment): accept the adjustment
	element names from glade 0.5.2 and pre 0.5.2.

1999-09-05  James Henstridge  <james@daa.com.au>

	* glade/glade-xml.c (glade_xml_new_from_memory): added new function
	to create a GladeXML object from a in memory buffer.

	* po/POTFILES.in: removed all the entries someone added here to
	discourage people from translating this module.  None of the installed
	components need translation.
	
	* glade/glade-sax.c (my_xmlSAXParseMemory):
	* glade/glade-sax.c (glade_widget_tree_parse_memory): added an function
	to create a GladeWidgetTree from a string.

	* glade/glade-gtk.c (layout_new): added support for GtkLayout.

	* glade/glade-gnome.c (iconlist_new): added support for GnomeIconList.
	(iconsel_new): support for GnomeIconSelection.
	(druid*): added support for GnomeDruid, GnomeDruidPageStart,
	GnomeDruidPageFinish, GnomeDruidPageStandard.
	(pixmap_new): added support for GnomePixmap.
	(propbox_new): added support for GnomePropertyBox.

	* glade/glade-build.h: changed declaration of GladeWidgetBuildData
	structure so it does not cause problems for newer gtk-doc's.

1999-09-04  James Henstridge  <james@daa.com.au>

	* doc/Makefile.am (scan): fixed up target so that libtool works
	correctly even if it does not recognise the C compiler name (there
	were problems with CC=egcs).

	* glade/glade-xml.c: save a reference to the GladeWidgetTree
	structure, and unref it when the GladeXML structure is destroyed.
	This is so it does not get destroyed if it gets purged from the
	cache.

	* glade/glade-private.h: added the GladeWidgetTree to the private
	structure.

	* glade/glade-tree.c (glade_tree_get): check mtime on file to see
	if tree needs to be read in again.

	* glade/glade-sax.c: added implementations of reference counting
	routines, and save modification time of the file in the structure.

	* glade/glade-widget-tree.h: added an mtime field to GladeWidgetTree
	and added reference counting.

	* configure.in (ALL_LINGUAS): removed languages from the ALL_LINGUAS
	variable.  Obviously no one read the message above it stating that
	libglade doesn't install anything that needs translation.

	* glade/Makefile.am (EXTRA_DIST): removed last reference to
	glade-keys.c which was breaking the build on some systems.

1999-09-01  Pablo Saratxaga <pablo@mandrakesoft.com>

	* po/da.po: added danish file

1999-08-24  James Henstridge  <james@daa.com.au>

	* test-libglade.c (main): when building only part of the widget tree,
	if the toplevel is not a GtkWindow descendant, pack it inside a
	container window.  For example, "./test-libglade gnome-widgets.glade
	menubar1" will show just the menu bar in a window.

	* NEWS: updated news file.

	* configure.in: incremented package version number.

	* glade/Makefile.am (LTVERSION): incremented libtool version number.

	* glade/glade-gtk.c (packer_new, packer_build_children): added
	support for the GtkPacker widget.

	* glade/Makefile.am: removed references to glade-keys.c.  It is no
	longer needed.

	* glade/glade-private.h (glade_key_get): removed prototype.

	* glade/glade-sax.c (gladeEndElement): switched over to using
	gdk_keyval_from_name rather than using glade_key_get.  This saves
	a bit of memory.

	* glade/glade-gtk.c (radiobutton_new): fixed radio button group
	handling.
	(table_new): fixed up recognition of the column_spacing attribute.

1999-08-09  James Henstridge  <james@daa.com.au>

	* Makefile.am: removed dist-hook for the generated libglade.spec.
	This is handled by automake when you add it to EXTRA_DIST.

	* libglade.spec.in (Requires): specifically require libxml >= 1.3.
	Older versions have an incompatible SAX interface.

	* glade/Makefile.am (LTVERSION): incrementented libtool version number.

	* configure.in: incremented version number to 0.3

1999-08-07  James Henstridge  <james@daa.com.au>

	* glade/glade-xml.c (glade_xml_new): fixed a small memory leak when
	the interface could not be constructed correctly.  This bug was found
	by Morten.

	* glade/glade-gnome.c: added support for GtkEntry child widgets on the
	Gnome*Entry widgets.  Added support for GnomeCanvas, GnomeIconEntry,
	GnomeNumberEntry.

	* glade/glade-gtk.c (combo_build_children): setup signals on the
	GtkEntry.

	* configure.in, Makefile.am, glade/Makefile.am: removed the
	LIBGLADE_FULLDIST conditional, since it is no longer being used.
	This also cleans up the makefiles a bit.

1999-08-05  James Henstridge  <james@daa.com.au>

	* glade/glade-gnome.c (stock_button_new): uline accelerator support
	here as well.

	* glade/glade-gtk.c: added uline accelerator support for buttons,
	check buttons, toggle buttons and radio buttons.

1999-08-04  James Henstridge  <james@daa.com.au>

	* doc/libglade-sections.txt: added new functions to documentation
	list.

	* gnome-widgets.glade: updated xml of the message box widget.

	* glade/glade-gnome.c (messagebox_new): the `type' attribute has been
	renamed `message_box_type'.

	* glade/glade-gtk.c, glade/glade-gnome.c: added calls to
	glade_xml_set_toplevel to the routines for all the toplevel window
	widget types.  Added code to parse uline accelerators for menu items.

	* glade/glade-build.h: added prototypes for the new functions.
	
	* glade/glade-xml.c (glade_xml_push_uline_accel,
	glade_xml_pop_uline_accel, glade_xml_get_uline_accel): helper
	functions for setting up uline accelerators.
	(glade_xml_set_toplevel): new function.
	(glade_xml_ensure_accel): new function to get current (non uline)
	accel group.

	* glade/glade-private.h (GladeXMLPrivate): added some extra fields
	to the structure to hold information about the current accel group.

1999-08-02  James Henstridge  <james@daa.com.au>

	* doc/Makefile.am (scan): yet another fix.  Now it runs gtkdoc-scanobj
	in the build directory rather than srcdir.  This one actually works
	correctly with builddir != srcdir and libglade not installed when I
	do a distcheck.
	
	* doc/Makefile.am (scan): set CC to "$(LIBTOOL) $(CC)" for
	gtkdoc-scanobj, and make it link the test program with the libtool
	libraries rather than the installed libraries.

	* Makefile.am: changed to build the glade subdir before doc.
	Include libglade.spec in tarballs (it was probably removed when
	libglade.spec.in was added).

1999-07-30  James Henstridge  <james@daa.com.au>

	* test-libglade.c (main): give an error if glade_xml_new returns an
	error.

	* glade/glade-sax.c: make the parser more graceful for bad documents.

1999-07-29  James Henstridge  <james@daa.com.au>

	* doc/tmpl/glade-sax.sgml: added a small description of these
	functions.

	* doc/libglade-sections.txt: added documentation section on the SAX
	parser.

	* glade/glade-sax.c: added API doc comments.

	* glade/glade-xml.c: updated the inline documentation to reflect
	that xmlNode structures are no longer used.
	
	* glade/glade-xml.c, glade/glade-gtk.c, glade/glade-gnome.c: removed
	some unused variables.

	* glade/glade-styles.c: removed file.  Most of its functionality was
	moved to the glade-sax parser, so there was not much reason for
	keeping glade_style_attach in a single file.
	
	* glade/glade-xml.c (glade_style_attach): moved this function in
	from glade-styles.c.

	* configure.in: added a check to make sure you are using a new
	enough libxml.  This is required because the SAX API underwent a
	number of changes, so old versions of libxml are not good enough.

	* Makefile.am (THE_FLAGS, THE_LIBS): these variables had the wrong
	values when gnome support was disabled.

	* glade/*.c, glade/*.h: updated copyright messages to include 1999.

1999-07-28  James Henstridge  <james@daa.com.au>

	* glade/glade-sax.c: the parser was saving the border_width attribute
	to width, which caused a few problems.
	(gladeEndDocument): removed a debugging message.

	* glade/glade-gnome.c (*_new): converted the rest of this library.
	
	* glade/glade-gnome.c (*_build_children): converted over all the
	child building routines.  Now I just need to do all the *_new
	functions.

	* glade/glade-gtk.c (*): converted over to using glade-sax parser.
	Now libglade.la builds again.  Whether it works or not is another
	matter :)

1999-07-27  James Henstridge  <james@daa.com.au>

	* glade/Makefile.am (the_sources): added glade-sax.c.
	(the_headers): added glade-widget-tree.h.

	* glade/glade-xml.c: updated to use the glade-sax parser.  It no
	longer includes the libxml headers.

1999-07-26  James Henstridge  <james@daa.com.au>

	* glade/glade-styles.c (glade_style_parse): stripped out all the
	style parsing code -- this is handled by glade-sax now.

	* glade/glade-tree.c: converted to cache the output of the glade-sax
	parser instead of the libxml one.

	* glade/glade-widget-info.h: the structures that the new SAX parser.
	This is the public interface to the parser.

	* glade/glade-sax.c: the new SAX based parser for libglade.

1999-07-09  James Henstridge  <james@daa.com.au>

	* glade/glade-xml.c (glade_xml_gettext): return "" for a NULL msgid.
	This fixes segfaults in some situations (eg. a label with no text in
	it).  This bug was found by Jon Travis <jtravis@cse.unl.edu>.

1999-06-20  James Henstridge  <james@daa.com.au>

	* dialogs.glade: example of using the standard dialogs with libglade.
	
	* configure.in: upped version number to 0.2.

	* glade/glade-gnome.c: small clean up.

	* doc/libglade-docs.sgml: a few more changes to the documentation.

1999-06-19  James Henstridge  <james@daa.com.au>

	* glade/glade-gnome.c (gnomedialog_build_children): connect signals
	to the individual button widgets.
	(messagebox_build_children): similar for the message box widget.

	* doc/libglade-docs.sgml: heaps of extra docs.  This should reduce
	the number of libglade questions people ask me (assuming they
	read the docs of course :).

	* doc/libglade-sections.txt: added entries for the extra functions.

	* glade/glade-xml.h, glade/glade-xml.c
	(glade_xml_signal_connect_full, glade_xml_signal_autoconnect_full):
	Added two functions that should be useful for people wanting to write
	language bindings for libglade.  They allow the user to specify an
	arbitrary function to use for connecting signals.

1999-06-17  James Henstridge  <james@daa.com.au>

	* gnome-widgets.glade: made the test glade file for GNOME a bit
	nicer.

	* glade/glade-gnome.c (toolbar_new): make toolbar button relief
	match user preferences.

	* glade/glade-gtk.c (text_new): small bug fix to text widget creation.

1999-06-14  James Henstridge  <james@daa.com.au>

	* glade/glade.h: moved the include of glade/glade-xml.h outside of
	the extern "C" { ... } block, since it has its own extern "C" { ... }
	stuff (and the extern "C" notation is not valid in C).

	* glade/glade-gtk.c (optionmenu_new, combo_new): made adjustments to
	match change in libglade-xgettext.

	* libglade-xgettext (TranslatableStringParser.end_items): add list
	items to translation list individually instead of as one large string.

	* glade/glade-gnome.c (gnomedialog_new, app_new): added support for
	setting wmname/wmclass on these windows as well.

	* glade/glade-gtk.c: added support for GtkFileSelection,
	GtkColorSelectionDialog and GtkFontSelectionDialog, including
	the support for connecting signals to their buttons.
	Also added support for setting the wmname/wmclass on windows.

1999-06-13  James Henstridge  <james@daa.com.au>

	* glade/glade-gnome.c: put #ifdef's round references to
	GNOME_STOCK_PIXMAP_MIDI, so it will compile with gnome-libs-1.0.1
	(Damon is keeping compatibility with that release for glade, so
	I may as well do so as well).

1999-06-13  Richard Hestilow  <hestgray@ionet.net>

	* glade/glade-xml.h, glade-build.h, glade.h: added 
	"#ifdef __cplusplus" wrappers, otherwise was giving linktime
	errors with g++.
	
1999-06-12  James Henstridge  <james@daa.com.au>

	* glade/glade-xml.c: fixed up gettext call.

	* configure.in: added a call to AM_GNOME_GETTEXT so that the i18n
	stuff should get included correctly.  Note that there is no libglade
	translation domain -- libglade should not give any of its own output.

1999-06-11  James Henstridge  <james@daa.com.au>

	* glade/glade-xml.[ch] (glade_xml_construct): added a third argument -
	the translation domain.
	(glade_xml_new_with_domain): a new constructor that allows you to
	specify that this GladeXML object use a different translation
	domain than the default.
	
	* glade/glade-xml.c (glade_xml_set_common_params): translate the
	tooltips.

	* glade/glade-gnome.c: added calls to glade_xml_gettext at appropriate
	places.

	* glade/glade-gtk.c: added calls to glade_xml_gettext at appropriate
	places.

	* glade/glade-xml.c (glade_xml_gettext): new function to handle
	translations of text in widget building routines.

	* glade/glade-xml.h: added textdomain attribute to GladeXML structure
	that will hold the gettext text domain used for translations.  This
	is just in preparation -- I haven't added i18n to libglade yet.

	* glade/glade-xml.c (glade_xml_relative_file): small fix in call
	to g_strconcat().  This one was picked up by Gary Ross.

	* glade/glade-gnome.c (get_stock_name): now reads GNOME_STOCK_PIXMAP_
	and GNOME_STOCK_MENU_ style stock names correctly.
	(toolbar_new, toolbar_build_children): functions for building toolbars
	that is aware of stock icons.  Now the toolbars look correct.
	(menu_new, menubar_new, menushell_build_children): Handle stock
	menu items correctly.  It even handles gnome-libs' internal
	translation of stock menu item labels.
	(pixmapmenuitem_new): This function does not worry about stock menu
	items now.  It does handle pixmaps next to the menu items though
	like it should.

	* Makefile.am (bin_SCRIPTS): added libglade-xgettext.

	* libglade-xgettext: a small program that can extract translation
	strings from glade XML files.  Libglade itself has no i18n support
	yet, but this is a start.  The program can output both standard pot
	files or a C file that can then be parsed by xgettext.

1999-06-10  James Henstridge  <james@daa.com.au>

	* test-libglade.c (main): updated to call glade_gnome_init() instead
	of glade_init() if GNOME support is enabled.

	* libglade.m4 (module_args): modified macro so that you can pass
	`gnome' as the third argument to get GNOME support.

	* libglade-config.in: you can now pass it the arguments gtk and gnome
	to indicate which widget sets you wish to use.  If you specify
	GNOME, the --libs output will include -lglade-gnome.

	* glade/Makefile.am: create a separate libglade-gnome library if
	GNOME support is enabled.
	
	* glade/glade-gnome.c: implemented the GnomeApp, GnomeAppBar,
	GnomeDock, GnomeDockItem and GtkPixmapItem (sort of).  Just about
	everything displays, except that the GNOMEUIINFO stuff, which is
	not properly implemented at this point in time.

	* glade/glade-gnome.c (about_new): make the about dialog creation
	routine use the values of gnome_app_id and gnome_app_version.

	* glade/glade-tree.c (recurse_tree, destroy_func): the hash table of
	widget name -> xmlNode was broken.  It was freeing the keys before
	they were used.  This bug is from when I was converting libglade
	over to using xmlNodeGetContent().  It should now be possible to
	use the glade_xml_new("filename", "rootnode") style of initialisation,
	and signal handlers that should be connected with
	gtk_signal_connect_object should now work correctly as well.

	* glade/glade-gtk.c (pixmap_new): the filename of the pixmap should
	be relative to the xml file.
	(toolbar_new, toolbar_build_children): fixed up toolbar support.  I
	used code from the examples by Craig M. Buchek and Gary Ross.  The
	actual implementation is different than both, but the sample code
	was very helpful.

	* doc/libglade-sections.txt: added extra entries to documentation.

	* glade/glade-xml.c (glade_xml_set_common_params): new function that
	exposes some of the work that glade_xml_build_widget performs.

	* glade/glade-xml.h, glade/glade-xml.c (glade_xml_relative_file):
	new function that resolves a filename that is relative to the XML
	file for an interface.  This is useful for resolving image file
	names and other external files.
	
	* glade/glade-xml.c (glade_xml_build_widget): make the height and
	width setting code work correctly (before, setting width would unset
	the height and vice versa).

1999-06-09  James Henstridge  <james@daa.com.au>

	* Makefile.am (EXTRA_DIST): added the custom.glade and
	gnome-widgets.glade examples to the distribution.

	* glade/glade-xml.h, glade/glade-xml.c: changed the second argument
	name in glade_xml_signal_connect to handlername, so that people who
	don't want to read the docs do not get confused as easily :)

1999-06-09  Michael Meeks  <michael@edenproject.org>

	* glade/glade-xml.c (glade_xml_new): Added return NULL on error
	(glade_xml_construct): Added boolean - success return value.

1999-06-08  James Henstridge  <james@daa.com.au>

	* Makefile.am (confexec_DATA): install the libgladeConf.sh script.

	* libgladeConf.sh.in: A file for use with the gnome-config shell
	script.

	* glade/glade-gnome.c: added support for GnomeDialog and
	GnomeMessageBox.  This still leaves support for GnomeApp to be done.
	Before this can be finished though, I need to work out the stock
	menu (GnomeUIInfo) stuff.  I don't know how difficult this will be.

1999-06-06  Erik Walthinsen  <omega@cse.ogi.edu>

	* converted libglade.spec to libglade.spec.in, made appropiate
	changes in .cvsignore, Makefile.am, and configure.in.

	* added libglade.m4 to the spec file

1999-06-07  James Henstridge  <james@daa.com.au>

	* custom.glade: an example of using custom widgets.  In this example,
	it creates a color selection widget, but the code could be used for
	creating any widget.  The custom widget code also requires that
	gmodule functions correctly on the system.
	
	* glade/glade-xml.c, glade/glade-gtk.c: don't close the module
	opened by g_module_open(NULL, 0).  Reference counting does not
	apear to be done on this GModule structure.

1999-06-06  Miguel de Icaza  <miguel@gnu.org>

	* glade/glade-xml.c (glade_xml_destroy): Ok, another fix to my
	previous fix: there was no actual memory leak.

	* glade/glade-gtk.c (radiobutton_new): Small bug fix to my
	previous change: Glade might output radio buttons without groups. 

	* glade/glade-xml.c (glade_xml_destroy): Memory leak fix: free all
	the keys (they were strduped strings) when destroying hash tables.

	* glade/glade-gtk.c (radiobutton_new): Add support for
	radio-button-groups. 

	* glade/glade-private.h: Add new hash-table for radio-button
	groups. 

	* glade/glade-xml.c (glade_xml_init): Allocate private structure.
	(glade_xml_destroy): free private structure.
	(glade_xml_build_widget): Use data from private structure.
	(glade_xml_construct): ditto.
	(autoconnect_foreach): ditto.
	(glade_xml_signal_autoconnect): ditto.
	(glade_xml_get_widget): ditto.
	(glade_xml_get_widget_by_long_name): ditto.
	(glade_xml_build_widget): ditto.
	(glade_xml_signal_connect): ditto
	(glade_xml_add_signal): ditto.
	(glade_xml_build_widget): De-ambiguate else clause here.

	* glade/glade-private.h: Moved private GladeXML members to the
	GladeXMLPrivate structure.

1999-06-04  Miguel de Icaza  <miguel@nuclecu.unam.mx>

	* glade/glade-gtk.c (optionmenu_new): Only add items if there are
	any actual items.
	(combo_new): ditto.

1999-06-03  James Henstridge  <james@daa.com.au>

	* Makefile.am (m4data_DATA): install the libglade.m4 macro.

	* libglade.m4: added an autoconf macro to detect libglade.

1999-06-06  James Henstridge  <james@daa.com.au>

	* glade/glade-gtk.c: added support for the Custom widget (the widget
	is created with a user defined function).  This should make it easier
	to produce a complete UI from a program, using custom widgets for the
	complicated parts of the UI.

	* glade/glade-gnome.c: added build routines for a few of the
	widgets that are in the current CVS version of GLADE.  I haven't
	done wrappers for GnomeApp, GnomeDialog, GnomeMessageBox and GLADE's
	GnomeUIInfo stuff.

	* glade/glade-gtk.c: removed all the GNOME specific code from this
	file.  Now all GNOME specific stuff is inside glade-gnome.c (except
	for the initialiser in glade-init.c).

	* glade/Makefile.am: add glade-gnome.c to the library if GNOME
	support is enabled.

	* glade/glade-init.c (glade_init): initialise the gnome widgets if
	gnome support has been built in.

	* glade/glade-gnome.c: new file that holds all the GNOME specific
	widget routines.

	* glade/glade-gtk.c: removed container_build_children function, and
	changed all references to it to glade_standard_build_children.

	* glade/glade-build.h: added prototype for the function.

	* glade/glade-xml.c (glade_standard_build_children): added the
	standard child building routine here, as it will be useful to
	both gtk and gnome code.
	(glade_get_adjustment): similar to above.

1999-06-06  James Henstridge  <james@daa.com.au>

	* glade/glade-gtk.c: added support for the Custom widget (the widget
	is created with a user defined function).  This should make it easier
	to produce a complete UI from a program, using custom widgets for the
	complicated parts of the UI.

	* glade/glade-gnome.c: added build routines for a few of the
	widgets that are in the current CVS version of GLADE.  I haven't
	done wrappers for GnomeApp, GnomeDialog, GnomeMessageBox and GLADE's
	GnomeUIInfo stuff.

	* glade/glade-gtk.c: removed all the GNOME specific code from this
	file.  Now all GNOME specific stuff is inside glade-gnome.c (except
	for the initialiser in glade-init.c).

	* glade/Makefile.am: add glade-gnome.c to the library if GNOME
	support is enabled.

	* glade/glade-init.c (glade_init): initialise the gnome widgets if
	gnome support has been built in.

	* glade/glade-gnome.c: new file that holds all the GNOME specific
	widget routines.

	* glade/glade-gtk.c: removed container_build_children function, and
	changed all references to it to glade_standard_build_children.

	* glade/glade-build.h: added prototype for the function.

	* glade/glade-xml.c (glade_standard_build_children): added the
	standard child building routine here, as it will be useful to
	both gtk and gnome code.
	(glade_get_adjustment): similar to above.

1999-06-04  Miguel de Icaza  <miguel@nuclecu.unam.mx>

	* glade/glade-gtk.c (optionmenu_new): Only add items if there are
	any actual items.
	(combo_new): ditto.

1999-06-03  James Henstridge  <james@daa.com.au>

	* Makefile.am (m4data_DATA): install the libglade.m4 macro.

	* libglade.m4: added an autoconf macro to detect libglade.

1999-05-27  James Henstridge  <james@daa.com.au>

	* libglade-config.in (libs): add gnome libraries to the link line.
	(the gnome macros evaluate to nothing if gnome is not found).

	* test-libglade.c: small fix so that it will build without gnome.

	* NEWS: updated news.

	* libglade.spec: same here.  Also include documentation in devel
	tarball.

	* configure.in: bumped version number up to 0.1.

1999-05-23  Jacob Berkman  <jberk+@cmu.edu>

	* doc/Makefile.am: added an if GNOME_SUPPORT
	PROBLEM: make dies in doc if libglade has not been installed
	yet.  I tried tinkering a bit but couldn't make it work

1999-05-16  Raja R Harinath  <harinath@cs.umn.edu>

	* glade/Makefile.am (glade-keys.c): Mention explicitly that
	glade-keys.c is built in $(srcdir).
	* glade/glade-gtk.c (button_stock_new): Declare type for `len'.

1999-05-11  James Henstridge  <james@daa.com.au>

	* doc/*: use gtkdoc to generate documentation for libglade.
	
	* glade/glade-xml.c (glade_xml_build_widget): cleaned up some of
	Damon's changes -- I had already added support for the new lowercase
	signal and accelerator tags.  Also added some missing documentation.

	* glade/glade-xml.h, glade/glade-build.h: a few small changes so that
	the documentation builds correctly.
	
	* libglade-config.in: a few small changes to this script.  Include
	the libxml cflags in the output of --cflags.

1999-04-27  Miguel de Icaza  <miguel@nuclecu.unam.mx>

	* glade/Makefile.am (EXTRA_DIST): for included-compilation of
	libglade, include the header files manually.

1999-04-26  Miguel de Icaza  <miguel@nuclecu.unam.mx>

	* glade/Makefile.am (INCLUDES): Include -I$(srcdir)/.. to get our
	headers to have more precedence over installed headers for an
	existing libglade installation.

1999-04-25  bertrand <Bertrand.Guiheneuf@inria.fr>

	* glade/glade-init.c (glade_load_module): typo fix.

1999-04-25  Miguel de Icaza  <miguel@nuclecu.unam.mx>

	* glade/glade-styles.c (glade_style_attach): Use g_strconcat
	instead of a static buffer;
	(fill_style): Use g_strdup_printf instead of static buffer.

	* glade/glade-gtk.c (label_new): Add missing call to free (content).


	* glade/glade-gtk.c: Use <glade/glade-build.h> to fetch headers. 
	* glade/glade-styles.c: ditto. 
	* glade/glade-private.h: ditto.

1999-04-25  Damon Chaplin  <damon@karuna.freeserve.co.uk>

	* glade/glade-xml.c (glade_xml_build_widget): The 'Signal' and
	'Accelerator' tags were changed to lower case in Glade, to be
	consistent with	all other widget tags, so I added support for that.

1999-04-24  James Henstridge  <james@daa.com.au>

	* glade/Makefile.am (INCLUDES): fixed up yet anothe mistake in the
	makefiles.  This should allow libglade to build correctly whether
	it is included as part of a larger package or not.

	* Makefile.am: removed reference to the macros	directory, as they
	break the gnumeric build.  The problem with this is that a
	distributed libglade package would not contain all the files
	needed to build the configure script if you modify the Makefile.am's.

1999-04-24  James Henstridge  <james@daa.com.au>

	* libglade-config.in: don't output -I/usr/include if that is where
	the headers are, as this location is already in the search path.

	* configure.in: removed some unused substitutions.

	* Makefile.am (SUBDIRS): added macros subdirectory.

	* configure.in: set the automake conditional LIBGLADE_FULLDIST to
	true.  When libglade is built as part of the gnumeric build, this
	configure script is not used, so the makefiles use the value of
	LIBGLADE_FULLDIST from the toplevel gnumeric makefile.  Also added
	a call to AM_ACLOCAL_INCLUDE to find the correct macros.

	* glade/glade-init.c, glade/glade-xml.c: added gnome-libs style
	documentation comments to these files, so libglade API docs can be
	generated easily.

1999-04-23  Miguel de Icaza  <miguel@nuclecu.unam.mx>

	* glade/glade-gtk.c: Fix.  If we encounter a placeholder, the code
	was dereferencing a null pointer.  

	(misc_set): pad is an integer, align is a float.

1999-04-22  Miguel de Icaza  <miguel@nuclecu.unam.mx>

	* test-libglade.c (main): Add GNOME support.  Use
	gnome_init_with_popt_table here.  Use argument parsing the popt
	way. 

	* Makefile.am, glade/Makefile.am: Setup for dual GTK+/GNOME
	compilation. 
	
	* glade/glade-gtk.c (button_stock_new): Add support for GNOME
	stock labels.

	* configure.in (have_gnome): Add autodetection for GNOME
	components. 

1999-04-22  James Henstridge  <james@daa.com.au>

	* test-libglade.c (main): argument parsing code wasn't recognising
	the rootnode argument.  This batch of fixes was sent in by Philippe
	Giacinti (I am still reviewing the local style part of the patch).

	* glade/glade-xml.c (glade_xml_get_type): wasn't saving the object
	type correctly.  Caused problems if more than one GladeXML object
	was created.
	(glade_xml_build_widget): in newer versions of GLADE, it uses the
	signal tag instead of Signal, and accelerator instead of Accelerator.
	Now libglade recognises the new tags as having the same meaning.

	* glade/glade-gtk.c: some small changes for the box and dialog child
	adding routines (I had GTK_PACK_START where it should have been
	"GTK_PACK_START").

1999-04-20  James Henstridge  <james@daa.com.au>

	* configure.in: bumped required version of GTK up to 1.2.0.

	* glade/glade-xml.c, glade/glade-private.h: changed some occurences
	of "char *" to "const char *" to remove warnings made by Miguel's
	change.

1999-04-20  Erik Walthinsen  <omega@cse.ogi.edu>

	* added libglade-config.in, changed Makefile.am and configure.in
	to match and create libglade-config, added to spec file.

1999-04-10  Miguel de Icaza  <miguel@nuclecu.unam.mx>

	* glade/glade-xml.h: Tag return values as "const char *" to warn
	the user not to free the results of these.

1999-04-06  James Henstridge  <james@daa.com.au>

	* glade/glade-gtk.c: a few small fixes to make libglade compile
	correctly with newer versions of GTK.

1999-01-13  James Henstridge  <james@daa.com.au>

	* autogen.sh: it wasn't calling autoheader, which caused some trouble.

	* glade/glade-gtk.c: some small changes to make it compile with newer
	versions of gtk.  Also made the function call changes found in
	gtkcompat.h

	* glade/glade-xml.c: gtk_container_border_width -> set_border_width.

1998-11-17  James Henstridge  <james@daa.com.au>
	* glade/glade-styles.c: changed to recognise new style tags.  Basically
	occurences of "fg:" have been changed to "fg-", and similar for other
	parts of the style code.

1998-11-05  James Henstridge  <james@daa.com.au>
	* autogen.sh: added a simple autogen shell script to help with CVS
	builds.

1998-11-05  James Henstridge  <james@daa.com.au>
	* everything: added copyright messages to the code.

1998-11-02  James Henstridge  <james@daa.com.au>
	* glade/Makefile.am, configure.in: I forgot to include the makekeys.awk
	file in the distribution.  This may have caused problems for some
	people.

1998-11-01  James Henstridge  <james@daa.com.au>
	* configure.in: added option --enable-debug.  This will turn on
	debugging output, which is what has been the default in the previous
	version.  Without this flag, the library is quiet, except for errors.
	* glade/glade-xml.c, glade/makekeys.awk: added support for keyboard
	accelerators.  Makekeys.awk creates glade-keys.c, which handles
	keysym to int conversion.  If no accelerators are used in the UI
	description, this adds no overhead.  If there are accelerators, there
	will be a hash table initialisation, and a hash table lookup for each
	accelerator.

1998-10-31  James Henstridge  <james@daa.com.au>
	* glade/glade-xml.c, glade/glade-gtk.c: made changes so that libglade
	works correctly with the changes Daniel made to libxml.  Note that
	since xmlNodeGetContent doesn't use g_malloc, free is used instead
	of g_free.
	Also, no strings inside the xmlDoc structure are referenced in the
	GladeXML widget, so it should be possible to free the xmlDoc
	structure without problems.

1998-10-25  James Henstridge  <james@daa.com.au>
	* glade/glade-gtk.c: updated for glade-0.3.5 widgets.  It now supports
	menus.  I also fixed up the dialog child packing function.
	* test.glade, simple.glade, example.glade: added some examples.
	* glade/glade-init.c: added interface to extend libglade's list of
	widgets dynamically.  Maybe this could be used so that interfaces
	are listed in the XML, and loaded on call.
	* libglade.spec: a spec file for this package.

1998-10-23  James Henstridge  <james@daa.com.au>
	* glade/glade-gtk.c: new file -- this holds all the widget specific
	code for all the widgets in glade-0.3.3.
	* test-libglade.c: new file -- a tester program that can load
	arbitrary interface files.  I can actually get most interfaces to
	load without problem now.
	* glade/glade-xml.c: added support for automatic connection of signals
	with gmodule (you can get access to the global namespace with
	g_module_open(NULL, 0)).

1998-10-20  James Henstridge  <james@daa.com.au>
	* glade/glade-init.c: new file -- initialisation of libglade.
	* glade/glade-tree.c: new file -- handles reading in and caching of
	XML descriptions.  It also extracts the widget tree, and gets the
	styles parsed.
	* glade/glade-styles.c: new file -- Parses styles from an XML tree
	by translating them to the same format as gtkrc files and passing
	them to gtk_rc_parse_string.
	* glade/glade-xml.c: new file -- This file is the exposed interface
	to libglade, and has code used to glue in widget sets to libglade.

